'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Theme = Theme;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _defaultTheme = require('../../theme/defaultTheme');

var _defaultTheme2 = _interopRequireDefault(_defaultTheme);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Theme(_ref) {
  var children = _ref.children,
      _ref$theme = _ref.theme,
      theme = _ref$theme === undefined ? _defaultTheme2.default : _ref$theme;

  return _react2.default.createElement(
    _styledComponents.ThemeProvider,
    { theme: theme },
    children
  );
}

Theme.propTypes = {
  children: _propTypes2.default.node,
  theme: _propTypes2.default.object
};
//# sourceMappingURL=index.js.map