'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BadgeBase = undefined;

var _recompose = require('recompose');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Badge = require('./Badge.style');

var _hocs = require('../../hocs');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var BadgeBase = function BadgeBase(_ref) {
  var text = _ref.text,
      children = _ref.children,
      Styled = _ref.__StyledComponent__,
      props = _objectWithoutProperties(_ref, ['text', 'children', '__StyledComponent__']);

  return _react2.default.createElement(
    Styled,
    props,
    children,
    _react2.default.createElement(
      _Badge.BadgeText,
      props,
      text
    )
  );
};

exports.BadgeBase = BadgeBase;
var enhance = (0, _recompose.compose)((0, _hocs.proxyStyledStatics)(_Badge.BadgeWrap), (0, _recompose.setDisplayName)('Badge'), (0, _recompose.setPropTypes)({
  text: _propTypes2.default.node,
  children: _propTypes2.default.node,
  className: _propTypes2.default.string
}), (0, _recompose.defaultProps)({
  background: true
}));

exports.default = enhance(BadgeBase);
//# sourceMappingURL=Badge.js.map