'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BadgeText = exports.BadgeWrap = undefined;

var _templateObject = _taggedTemplateLiteral(['\n  position: relative;\n  white-space: nowrap;\n  display: inline-block;\n  margin-right: ', 'px;\n'], ['\n  position: relative;\n  white-space: nowrap;\n  display: inline-block;\n  margin-right: ', 'px;\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  display: flex;\n  flex-direction: row;\n  flex-wrap: wrap;\n  justify-content: center;\n  align-content: center;\n  align-items: center;\n  position: absolute;\n  top: ', 'px;\n  right: ', 'px;\n  font-family: ', ';\n  font-weight: 600;\n  font-size: ', 'px;\n  width: ', 'px;\n  height: ', 'px;\n  border-radius: 50%;\n  color: ', ';\n  background: ', ';\n  box-shadow: ', ';\n'], ['\n  display: flex;\n  flex-direction: row;\n  flex-wrap: wrap;\n  justify-content: center;\n  align-content: center;\n  align-items: center;\n  position: absolute;\n  top: ', 'px;\n  right: ', 'px;\n  font-family: ', ';\n  font-weight: 600;\n  font-size: ', 'px;\n  width: ', 'px;\n  height: ', 'px;\n  border-radius: 50%;\n  color: ', ';\n  background: ', ';\n  box-shadow: ', ';\n']);

var _fp = require('lodash/fp');

var _styledTools = require('styled-tools');

var _recompose = require('recompose');

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var negate = function negate(n) {
  return -n;
};
var overlap = (0, _styledTools.prop)('overlap');
var forButton = (0, _styledTools.prop)('forButton');
var badgeSize = (0, _styledTools.prop)('theme.badgeSize');
var badgeFontSize = (0, _styledTools.prop)('theme.badgeFontSize');
var badgeOverlap = (0, _styledTools.prop)('theme.badgeOverlap');
var badgePadding = (0, _styledTools.prop)('theme.badgePadding');
var preferredFont = (0, _styledTools.prop)('theme.preferredFont');
var badgeBackground = (0, _styledTools.prop)('theme.badgeBackground');
var badgeColor = (0, _styledTools.prop)('theme.badgeColor');
var badgeColorInverse = (0, _styledTools.prop)('theme.badgeColorInverse');
var badgeBackgroundInverse = (0, _styledTools.prop)('theme.badgeBackgroundInverse');

var BadgeWrap = exports.BadgeWrap = (0, _recompose.setDisplayName)('BadgeWrap')(_styledComponents2.default.div(_templateObject, (0, _fp.cond)([[overlap, (0, _styledTools.call)(_fp.subtract, badgeSize, badgeOverlap)], [forButton, (0, _styledTools.call)(_fp.subtract, badgeSize, (0, _fp.always)(14))], [_fp.T, (0, _styledTools.call)(_fp.add, badgeSize, badgePadding)]])));

var BadgeText = exports.BadgeText = (0, _recompose.setDisplayName)('BadgeText')(_styledComponents2.default.div(_templateObject2, (0, _styledTools.ifProp)('forButton', -10, (0, _styledTools.call)(_fp.divide, badgeSize, (0, _fp.always)(-2))), (0, _fp.cond)([[forButton, (0, _fp.always)(-10)], [overlap, (0, _styledTools.call)((0, _fp.compose)(negate, _fp.subtract), badgeSize, badgeOverlap)], [_fp.T, (0, _styledTools.call)((0, _fp.compose)(negate, _fp.add), badgeSize, badgePadding)]]), preferredFont, badgeFontSize, badgeSize, badgeSize, (0, _styledTools.ifProp)('background', badgeColor, badgeColorInverse), (0, _styledTools.ifProp)('background', badgeBackground, badgeBackgroundInverse), (0, _styledTools.ifProp)('background', 'none', '0 0 1px gray')));
//# sourceMappingURL=Badge.style.js.map