'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ButtonChipBase = undefined;

var _recompose = require('recompose');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Chip = require('./Chip.style');

var _hocs = require('../../hocs');

var _ChipContact = require('./ChipContact');

var _ChipContact2 = _interopRequireDefault(_ChipContact);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var ButtonChipBase = function ButtonChipBase(_ref) {
  var contact = _ref.contact,
      children = _ref.children,
      Styled = _ref.__StyledComponent__,
      props = _objectWithoutProperties(_ref, ['contact', 'children', '__StyledComponent__']);

  return _react2.default.createElement(
    Styled,
    props,
    contact && _react2.default.createElement(_ChipContact2.default, contact),
    _react2.default.createElement(
      _Chip.ChipText,
      null,
      children
    )
  );
};

exports.ButtonChipBase = ButtonChipBase;
var enhance = (0, _recompose.compose)((0, _hocs.proxyStyledStatics)(_Chip.ButtonChipStyle), (0, _recompose.setDisplayName)('ButtonChip'), (0, _recompose.setPropTypes)({
  contact: _propTypes2.default.shape({
    color: _propTypes2.default.string,
    textColor: _propTypes2.default.string,
    text: _propTypes2.default.string,
    src: _propTypes2.default.string
  }),
  children: _propTypes2.default.node.isRequired
}));

exports.default = enhance(ButtonChipBase);
//# sourceMappingURL=ButtonChip.js.map