'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = ChipContact;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Chip = require('./Chip.style');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function ChipContact(_ref) {
  var text = _ref.text,
      src = _ref.src,
      props = _objectWithoutProperties(_ref, ['text', 'src']);

  return src ? _react2.default.createElement(_Chip.ChipContactImg, _extends({ src: src }, props)) : _react2.default.createElement(
    _Chip.ChipContactSpan,
    props,
    text
  );
}

ChipContact.propTypes = {
  src: _propTypes2.default.string,
  text: _propTypes2.default.string
};
//# sourceMappingURL=ChipContact.js.map