'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DialogActions = exports.DialogContent = exports.DialogTitle = exports.DialogStyle = exports.fadeIn = undefined;

var _templateObject = _taggedTemplateLiteral(['\n  from {\n    transform: translate(0, 5vh);\n  }\n  to {\n    transform: translate(0, 0);\n  }\n'], ['\n  from {\n    transform: translate(0, 5vh);\n  }\n  to {\n    transform: translate(0, 0);\n  }\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  from {\n    opacity: 0;\n  }\n  to {\n    opacity: 1;\n  }\n'], ['\n  from {\n    opacity: 0;\n  }\n  to {\n    opacity: 1;\n  }\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n  background: white;\n  width: ', ';\n  max-width: calc(100vw - 144px);\n  max-height: 80vh;\n  margin-top: -15vh;\n  border-radius: 3px;\n  ', '\n  overflow: auto;\n  animation: ', ' 0.3s ', ' forwards,\n             ', ' 0.3s ', ' forwards;\n'], ['\n  background: white;\n  width: ', ';\n  max-width: calc(100vw - 144px);\n  max-height: 80vh;\n  margin-top: -15vh;\n  border-radius: 3px;\n  ', '\n  overflow: auto;\n  animation: ', ' 0.3s ', ' forwards,\n             ', ' 0.3s ', ' forwards;\n']),
    _templateObject4 = _taggedTemplateLiteral(['\n  padding: 24px 24px 0;\n  margin: 0;\n  font-size: 20px;\n  line-height: 20px;\n  font-weight: 500;\n'], ['\n  padding: 24px 24px 0;\n  margin: 0;\n  font-size: 20px;\n  line-height: 20px;\n  font-weight: 500;\n']),
    _templateObject5 = _taggedTemplateLiteral(['\n  padding: 20px 24px 24px;\n  font-size: 16px;\n  line-height: 24px;\n  color: ', ';\n'], ['\n  padding: 20px 24px 24px;\n  font-size: 16px;\n  line-height: 24px;\n  color: ', ';\n']),
    _templateObject6 = _taggedTemplateLiteral(['\n  position: relative;\n  padding: 8px 0 8px 24px;\n  display: flex;\n  flex-direction: row-reverse;\n  flex-wrap: wrap;\n  > * {\n    margin-right: 8px;\n    height: 36px;\n  }\n  ', '\n'], ['\n  position: relative;\n  padding: 8px 0 8px 24px;\n  display: flex;\n  flex-direction: row-reverse;\n  flex-wrap: wrap;\n  > * {\n    margin-right: 8px;\n    height: 36px;\n  }\n  ', '\n']),
    _templateObject7 = _taggedTemplateLiteral(['\n    padding: 0 0 8px 0;\n    right: 0;\n    > * {\n      height: 48px;\n      flex: 0 0 auto;\n      width: 100%;\n      padding-right: 16px;\n      margin-right: 0;\n      text-align: right;\n      justify-content: flex-end;\n      border-radius: 0;\n    }\n  '], ['\n    padding: 0 0 8px 0;\n    right: 0;\n    > * {\n      height: 48px;\n      flex: 0 0 auto;\n      width: 100%;\n      padding-right: 16px;\n      margin-right: 0;\n      text-align: right;\n      justify-content: flex-end;\n      border-radius: 0;\n    }\n  ']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _mixins = require('../../mixins');

var _util = require('../../util');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var flyIn = (0, _styledComponents.keyframes)(_templateObject);

var fadeIn = exports.fadeIn = (0, _styledComponents.keyframes)(_templateObject2);

var DialogStyle = exports.DialogStyle = _styledComponents2.default.div.attrs({
  width: function width(_ref) {
    var size = _ref.size;
    return parseInt(size || 5, 10) * 56 + 'px';
  }
})(_templateObject3, function (_ref2) {
  var width = _ref2.width;
  return width;
}, (0, _mixins.shadow24dp)(), fadeIn, _util.getters.animationCurveDefault, flyIn, _util.getters.animationCurveLinearOutSlowIn);

var DialogTitle = exports.DialogTitle = _styledComponents2.default.h1(_templateObject4);

var DialogContent = exports.DialogContent = _styledComponents2.default.div(_templateObject5, _util.getters.dialogContentColor);

var DialogActions = exports.DialogActions = _styledComponents2.default.div(_templateObject6, function (_ref3) {
  var fullWidth = _ref3.fullWidth;
  return fullWidth && (0, _styledComponents.css)(_templateObject7);
});
//# sourceMappingURL=Dialog.style.js.map