'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MenuItem = exports.MenuDivider = exports.MenuBase = exports.MenuOutline = exports.MenuContainer = exports.MenuControlWrap = undefined;

var _templateObject = _taggedTemplateLiteral(['position: relative;'], ['position: relative;']),
    _templateObject2 = _taggedTemplateLiteral(['\n  display: block;\n  margin: 0;\n  padding: 0;\n  border: none;\n  position: fixed;\n  overflow: visible;\n  height: 0;\n  width: 0;\n  visibility: hidden;\n  z-index: -1;\n  ', ';\n'], ['\n  display: block;\n  margin: 0;\n  padding: 0;\n  border: none;\n  position: fixed;\n  overflow: visible;\n  height: 0;\n  width: 0;\n  visibility: hidden;\n  z-index: -1;\n  ', ';\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n      z-index: 999;\n      visibility: visible;\n      top: ', 'px;\n      left: ', 'px;\n      height: ', 'px;\n      width: ', 'px;\n    '], ['\n      z-index: 999;\n      visibility: visible;\n      top: ', 'px;\n      left: ', 'px;\n      height: ', 'px;\n      width: ', 'px;\n    ']),
    _templateObject4 = _taggedTemplateLiteral(['\n  display: block;\n  background: ', ';\n  margin: 0;\n  padding: 0;\n  border: none;\n  border-radius: 2px;\n  position: absolute;\n  top: 0;\n  left: 0;\n  overflow: hidden;\n  opacity: 0;\n  transform: scale(0);\n  transform-origin: 0 0;\n  ', ' will-change: transform;\n  transition: transform ', 's ', ',\n    opacity ', 's ', ';\n  z-index: -1;\n\n  ', ' ', ' ', ' ', ' ', ';\n'], ['\n  display: block;\n  background: ', ';\n  margin: 0;\n  padding: 0;\n  border: none;\n  border-radius: 2px;\n  position: absolute;\n  top: 0;\n  left: 0;\n  overflow: hidden;\n  opacity: 0;\n  transform: scale(0);\n  transform-origin: 0 0;\n  ', ' will-change: transform;\n  transition: transform ', 's ', ',\n    opacity ', 's ', ';\n  z-index: -1;\n\n  ', ' ', ' ', ' ', ' ', ';\n']),
    _templateObject5 = _taggedTemplateLiteral(['\n      opacity: 1;\n      transform: scale(1);\n      z-index: 999;\n      height: ', 'px;\n      width: ', 'px;\n    '], ['\n      opacity: 1;\n      transform: scale(1);\n      z-index: 999;\n      height: ', 'px;\n      width: ', 'px;\n    ']),
    _templateObject6 = _taggedTemplateLiteral(['transform-origin: 100% 0;'], ['transform-origin: 100% 0;']),
    _templateObject7 = _taggedTemplateLiteral(['transform-origin: 0 100%;'], ['transform-origin: 0 100%;']),
    _templateObject8 = _taggedTemplateLiteral(['transform-origin: 100% 100%;'], ['transform-origin: 100% 100%;']),
    _templateObject9 = _taggedTemplateLiteral(['transform-origin: 0 0;'], ['transform-origin: 0 0;']),
    _templateObject10 = _taggedTemplateLiteral(['\n  position: absolute;\n  list-style: none;\n  top: 0;\n  left: 0;\n  height: auto;\n  width: auto;\n  min-width: 124px;\n  box-sizing: border-box;\n  padding: 8px 0;\n  margin: 0;\n  opacity: 0;\n  clip: rect(0 0 0 0);\n  z-index: -1;\n  transition: opacity ', 's ', ',\n    clip ', 's ', ';\n\n  ', ' ', ' ', ' ', ' ', ';\n'], ['\n  position: absolute;\n  list-style: none;\n  top: 0;\n  left: 0;\n  height: auto;\n  width: auto;\n  min-width: 124px;\n  box-sizing: border-box;\n  padding: 8px 0;\n  margin: 0;\n  opacity: 0;\n  clip: rect(0 0 0 0);\n  z-index: -1;\n  transition: opacity ', 's ', ',\n    clip ', 's ', ';\n\n  ', ' ', ' ', ' ', ' ', ';\n']),
    _templateObject11 = _taggedTemplateLiteral(['\n      opacity: 1;\n      clip: ', ';\n      height: ', 'px;\n      width: ', 'px;\n      z-index: 999;\n    '], ['\n      opacity: 1;\n      clip: ', ';\n      height: ', 'px;\n      width: ', 'px;\n      z-index: 999;\n    ']),
    _templateObject12 = _taggedTemplateLiteral(['\n        left: auto;\n        right: 0;\n      '], ['\n        left: auto;\n        right: 0;\n      ']),
    _templateObject13 = _taggedTemplateLiteral(['\n        top: auto;\n        bottom: 0;\n      '], ['\n        top: auto;\n        bottom: 0;\n      ']),
    _templateObject14 = _taggedTemplateLiteral(['\n        top: auto;\n        left: auto;\n        bottom: 0;\n        right: 0;\n      '], ['\n        top: auto;\n        left: auto;\n        bottom: 0;\n        right: 0;\n      ']),
    _templateObject15 = _taggedTemplateLiteral(['\n        top: auto;\n        left: auto;\n      '], ['\n        top: auto;\n        left: auto;\n      ']),
    _templateObject16 = _taggedTemplateLiteral(['\n  border-bottom: 1px solid ', ';\n  margin: 0;\n  opacity: 0;\n  height: 0;\n  border-top: 0;\n  transition: opacity ', 's ', ';\n  transition-delay: ', 's;\n  ', ';\n'], ['\n  border-bottom: 1px solid ', ';\n  margin: 0;\n  opacity: 0;\n  height: 0;\n  border-top: 0;\n  transition: opacity ', 's ', ';\n  transition-delay: ', 's;\n  ', ';\n']),
    _templateObject17 = _taggedTemplateLiteral(['opacity: 1;'], ['opacity: 1;']),
    _templateObject18 = _taggedTemplateLiteral(['\n  display: block;\n  width: 100%;\n  border: none;\n  color: ', ';\n  background-color: transparent;\n  text-align: left;\n  margin: 0;\n  padding: 0 16px;\n  outline-color: ', ';\n  position: relative;\n  overflow: hidden;\n  ', ' text-decoration: none;\n  cursor: pointer;\n  height: 48px;\n  line-height: 48px;\n  white-space: nowrap;\n  opacity: 0;\n  transition: opacity ', 's ', ';\n  transition-delay: ', 's;\n  user-select: none;\n\n  ', ' &::-moz-focus-inner {\n    border: 0;\n  }\n\n  ', ' &:hover {\n    background-color: ', ';\n  }\n\n  &:focus {\n    outline: none;\n    background-color: ', ';\n  }\n\n  &:active {\n    background-color: ', ';\n  }\n'], ['\n  display: block;\n  width: 100%;\n  border: none;\n  color: ', ';\n  background-color: transparent;\n  text-align: left;\n  margin: 0;\n  padding: 0 16px;\n  outline-color: ', ';\n  position: relative;\n  overflow: hidden;\n  ', ' text-decoration: none;\n  cursor: pointer;\n  height: 48px;\n  line-height: 48px;\n  white-space: nowrap;\n  opacity: 0;\n  transition: opacity ', 's ', ';\n  transition-delay: ', 's;\n  user-select: none;\n\n  ', ' &::-moz-focus-inner {\n    border: 0;\n  }\n\n  ', ' &:hover {\n    background-color: ', ';\n  }\n\n  &:focus {\n    outline: none;\n    background-color: ', ';\n  }\n\n  &:active {\n    background-color: ', ';\n  }\n']),
    _templateObject19 = _taggedTemplateLiteral(['\n      color: ', ';\n      background-color: transparent;\n      cursor: auto;\n\n      &:hover {\n        background-color: transparent;\n      }\n\n      &:focus {\n        background-color: transparent;\n      }\n    '], ['\n      color: ', ';\n      background-color: transparent;\n      cursor: auto;\n\n      &:hover {\n        background-color: transparent;\n      }\n\n      &:focus {\n        background-color: transparent;\n      }\n    ']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _mixins = require('../../mixins');

var _util = require('../../util');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var MenuControlWrap = exports.MenuControlWrap = _styledComponents2.default.div(_templateObject);

MenuControlWrap.displayName = 'MenuControlWrap';

var MenuContainer = exports.MenuContainer = _styledComponents2.default.div(_templateObject2, function (_ref) {
  var isVisible = _ref.isVisible;
  return isVisible && (0, _styledComponents.css)(_templateObject3, function (_ref2) {
    var top = _ref2.top;
    return top;
  }, function (_ref3) {
    var left = _ref3.left;
    return left;
  }, function (_ref4) {
    var height = _ref4.height;
    return height;
  }, function (_ref5) {
    var width = _ref5.width;
    return width;
  });
});

MenuContainer.displayName = 'MenuContainer';

var MenuOutline = exports.MenuOutline = _styledComponents2.default.div(_templateObject4, _util.getters.defaultDropdownBgColor, (0, _mixins.shadow2dp)(), _util.getters.menuExpandDuration, _util.getters.animationCurveDefault, _util.getters.menuFadeDuration, _util.getters.animationCurveDefault, function (_ref6) {
  var isVisible = _ref6.isVisible;
  return isVisible && (0, _styledComponents.css)(_templateObject5, function (_ref7) {
    var height = _ref7.height;
    return height;
  }, function (_ref8) {
    var width = _ref8.width;
    return width;
  });
}, function (_ref9) {
  var bottomRight = _ref9.bottomRight;
  return bottomRight && (0, _styledComponents.css)(_templateObject6);
}, function (_ref10) {
  var topLeft = _ref10.topLeft;
  return topLeft && (0, _styledComponents.css)(_templateObject7);
}, function (_ref11) {
  var topRight = _ref11.topRight;
  return topRight && (0, _styledComponents.css)(_templateObject8);
}, function (_ref12) {
  var bottomLeft = _ref12.bottomLeft;
  return bottomLeft && (0, _styledComponents.css)(_templateObject9);
});

MenuOutline.displayName = 'MenuOutline';

var MenuBase = exports.MenuBase = _styledComponents2.default.div(_templateObject10, _util.getters.menuFadeDuration, _util.getters.animationCurveDefault, _util.getters.menuExpandDuration, _util.getters.animationCurveDefault, function (_ref13) {
  var isVisible = _ref13.isVisible;
  return isVisible && (0, _styledComponents.css)(_templateObject11, function (_ref14) {
    var height = _ref14.height,
        width = _ref14.width;
    return 'rect(0px ' + width + 'px ' + height + 'px 0px)';
  }, function (_ref15) {
    var height = _ref15.height;
    return height;
  }, function (_ref16) {
    var width = _ref16.width;
    return width;
  });
}, function (_ref17) {
  var bottomRight = _ref17.bottomRight;
  return bottomRight && (0, _styledComponents.css)(_templateObject12);
}, function (_ref18) {
  var topLeft = _ref18.topLeft;
  return topLeft && (0, _styledComponents.css)(_templateObject13);
}, function (_ref19) {
  var topRight = _ref19.topRight;
  return topRight && (0, _styledComponents.css)(_templateObject14);
}, function (_ref20) {
  var bottomLeft = _ref20.bottomLeft;
  return bottomLeft && (0, _styledComponents.css)(_templateObject15);
});

MenuBase.displayName = 'MenuBase';

var MenuDivider = exports.MenuDivider = _styledComponents2.default.hr(_templateObject16, _util.getters.defaultItemDividerColor, _util.getters.menuFadeDuration, _util.getters.animationCurveDefault, function (_ref21) {
  var getTransitionDelay = _ref21.getTransitionDelay,
      theme = _ref21.theme;
  return getTransitionDelay(theme.menuExpandDuration);
}, function (_ref22) {
  var isVisible = _ref22.isVisible;
  return isVisible && (0, _styledComponents.css)(_templateObject17);
});

MenuDivider.displayName = 'MenuDivider';

var MenuItem = exports.MenuItem = _styledComponents2.default.button(_templateObject18, _util.getters.defaultItemTextColor, _util.getters.defaultItemOutlineColor, (0, _mixins.typoBody1)(), _util.getters.menuFadeDuration, _util.getters.animationCurveDefault, function (_ref23) {
  var getTransitionDelay = _ref23.getTransitionDelay,
      theme = _ref23.theme;
  return getTransitionDelay(theme.menuExpandDuration);
}, function (_ref24) {
  var isVisible = _ref24.isVisible;
  return isVisible && (0, _styledComponents.css)(_templateObject17);
}, function (_ref25) {
  var disabled = _ref25.disabled;
  return disabled && (0, _styledComponents.css)(_templateObject19, _util.getters.disabledItemTextColor);
}, _util.getters.defaultItemHoverBgColor, _util.getters.defaultItemFocusBgColor, _util.getters.defaultItemActiveBgColor);

MenuItem.displayName = 'MenuItem';
//# sourceMappingURL=Menu.style.js.map