"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getRelativePosition;
function getRelativePosition(element) {
  var rect = element.getBoundingClientRect();
  var sx = window.scrollX || window.pageXOffset;
  var sy = window.scrollY || window.pageYOffset;

  return {
    height: rect.height,
    width: rect.width,
    top: rect.top + sy,
    left: rect.left + sx,
    bottom: rect.bottom + sy,
    right: rect.right + sx
  };
}
//# sourceMappingURL=getRelativePosition.js.map