'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AuxBar = exports.BufferBar = exports.ProgressBar = exports.ProgressBaseStyle = undefined;

var _templateObject = _taggedTemplateLiteral(['\n  0% {\n    left: 0%;\n    width: 0%;\n  }\n  50% {\n    left: 25%;\n    width: 75%;\n  }\n  75% {\n    left: 100%;\n    width: 0%;\n  }\n'], ['\n  0% {\n    left: 0%;\n    width: 0%;\n  }\n  50% {\n    left: 25%;\n    width: 75%;\n  }\n  75% {\n    left: 100%;\n    width: 0%;\n  }\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  0% {\n    left: 0%;\n    width: 0%;\n  }\n  50% {\n    left: 0%;\n    width: 0%;\n  }\n  75% {\n    left: 0%;\n    width: 25%;\n  }\n  100% {\n    left: 100%;\n    width: 0%;\n  }\n'], ['\n  0% {\n    left: 0%;\n    width: 0%;\n  }\n  50% {\n    left: 0%;\n    width: 0%;\n  }\n  75% {\n    left: 0%;\n    width: 25%;\n  }\n  100% {\n    left: 100%;\n    width: 0%;\n  }\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n  display: block;\n  position: relative;\n  height: ', 'px;\n  max-width: 100%;\n  width: ', ';\n'], ['\n  display: block;\n  position: relative;\n  height: ', 'px;\n  max-width: 100%;\n  width: ', ';\n']),
    _templateObject4 = _taggedTemplateLiteral(['\n  display: block;\n  position: absolute;\n  top: 0;\n  bottom: 0;\n  width: 0%;\n  transition: width 0.2s ', ';\n'], ['\n  display: block;\n  position: absolute;\n  top: 0;\n  bottom: 0;\n  width: 0%;\n  transition: width 0.2s ', ';\n']),
    _templateObject5 = _taggedTemplateLiteral(['\n  background-color: ', ';\n  z-index: 1;\n  left: 0;\n  ', '\n  ', '\n'], ['\n  background-color: ', ';\n  z-index: 1;\n  left: 0;\n  ', '\n  ', '\n']),
    _templateObject6 = _taggedTemplateLiteral(['\n    background-color: ', ';\n    animation-name: ', ';\n    animation-duration: 2s;\n    animation-iteration-count: infinite;\n    animation-timing-function: linear;\n  '], ['\n    background-color: ', ';\n    animation-name: ', ';\n    animation-duration: 2s;\n    animation-iteration-count: infinite;\n    animation-timing-function: linear;\n  ']),
    _templateObject7 = _taggedTemplateLiteral(['\n    width: ', ';\n  '], ['\n    width: ', ';\n  ']),
    _templateObject8 = _taggedTemplateLiteral(['\n  background-image:\n    linear-gradient(to right, ', ', ', '),\n    linear-gradient(to right, ', ', ', ');\n  z-index: 0;\n  left: 0;\n  width: 100%;\n'], ['\n  background-image:\n    linear-gradient(to right, ', ', ', '),\n    linear-gradient(to right, ', ', ', ');\n  z-index: 0;\n  left: 0;\n  width: 100%;\n']),
    _templateObject9 = _taggedTemplateLiteral(['\n  right: 0;\n  ', '\n'], ['\n  right: 0;\n  ', '\n']),
    _templateObject10 = _taggedTemplateLiteral(['\n      background-image:\n        linear-gradient(to right, ', ', ', '),\n        linear-gradient(to right,', ', ', ');\n      animation-name: ', ';\n      animation-duration: 2s;\n      animation-iteration-count: infinite;\n      animation-timing-function: linear;\n  '], ['\n      background-image:\n        linear-gradient(to right, ', ', ', '),\n        linear-gradient(to right,', ', ', ');\n      animation-name: ', ';\n      animation-duration: 2s;\n      animation-iteration-count: infinite;\n      animation-timing-function: linear;\n  ']);

var _recompose = require('recompose');

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _util = require('../../util');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var indeterminate1 = (0, _styledComponents.keyframes)(_templateObject);

var indeterminate2 = (0, _styledComponents.keyframes)(_templateObject2);

var ProgressBaseStyle = exports.ProgressBaseStyle = (0, _recompose.setDisplayName)('ProgressBaseStyle')(_styledComponents2.default.div(_templateObject3, _util.getters.barHeight, function (_ref) {
  var width = _ref.width;
  return width || '500px';
}));

var Bar = _styledComponents2.default.div(_templateObject4, _util.getters.animationCurveDefault);

var ProgressBar = exports.ProgressBar = (0, _recompose.setDisplayName)('ProgressBar')(Bar.extend(_templateObject5, _util.getters.progressMainColor, function (_ref2) {
  var indeterminate = _ref2.indeterminate;
  return indeterminate && (0, _styledComponents.css)(_templateObject6, _util.getters.progressMainColor, indeterminate1);
}, function (_ref3) {
  var percent = _ref3.percent;
  return percent && (0, _styledComponents.css)(_templateObject7, percent);
}));

var BufferBar = exports.BufferBar = (0, _recompose.setDisplayName)('BufferBar')(Bar.extend(_templateObject8, _util.getters.progressSecondaryColor, _util.getters.progressSecondaryColor, _util.getters.progressMainColor, _util.getters.progressMainColor));

var AuxBar = exports.AuxBar = (0, _recompose.setDisplayName)('AuxBar')(Bar.extend(_templateObject9, function (_ref4) {
  var indeterminate = _ref4.indeterminate;
  return indeterminate && (0, _styledComponents.css)(_templateObject10, _util.getters.progressSecondaryColor, _util.getters.progressSecondaryColor, _util.getters.progressMainColor, _util.getters.progressMainColor, indeterminate2);
}));
//# sourceMappingURL=Progress.style.js.map