'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SpinnerBase = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _recompose = require('recompose');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Spinner = require('./Spinner.style');

var _hocs = require('../../hocs');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var layers = [_Spinner.LayerOne, _Spinner.LayerTwo, _Spinner.LayerThree, _Spinner.LayerFour];

var SpinnerBase = function SpinnerBase(_ref) {
  var Styled = _ref.__StyledComponent__,
      props = _objectWithoutProperties(_ref, ['__StyledComponent__']);

  return _react2.default.createElement(
    Styled,
    props,
    layers.map(function (Layer) {
      return _react2.default.createElement(
        Layer,
        _extends({ key: Layer.displayName }, props),
        _react2.default.createElement(
          _Spinner.CircleClipper,
          { left: true },
          _react2.default.createElement(_Spinner.Circle, _extends({}, props, { left: true, clipper: true }))
        ),
        _react2.default.createElement(
          _Spinner.GapPatch,
          null,
          _react2.default.createElement(_Spinner.Circle, { gap: true })
        ),
        _react2.default.createElement(
          _Spinner.CircleClipper,
          { right: true },
          _react2.default.createElement(_Spinner.Circle, _extends({}, props, { right: true, clipper: true }))
        )
      );
    })
  );
};

exports.SpinnerBase = SpinnerBase;
var enhance = (0, _recompose.compose)((0, _hocs.proxyStyledStatics)(_Spinner.SpinnerStyle), (0, _recompose.setDisplayName)('Spinner'), (0, _recompose.setPropTypes)({
  active: _propTypes2.default.bool,
  singleColor: _propTypes2.default.bool
}));

exports.default = enhance(SpinnerBase);
//# sourceMappingURL=Spinner.js.map