'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ToastAnimation = undefined;

var _templateObject = _taggedTemplateLiteral(['\n  position: fixed;\n  bottom: 0;\n  z-index: 3;\n  display: block;\n  will-change: transform;\n  transform: translate(0, 100%);\n  transition: transform 0.25s ', ';\n  @media(max-width: ', 'px) {\n    width: 100%;\n    left: 0;\n  }\n\n  @media(min-width: ', 'px) {\n    ', '\n  }\n\n  ', '\n'], ['\n  position: fixed;\n  bottom: 0;\n  z-index: 3;\n  display: block;\n  will-change: transform;\n  transform: translate(0, 100%);\n  transition: transform 0.25s ', ';\n  @media(max-width: ', 'px) {\n    width: 100%;\n    left: 0;\n  }\n\n  @media(min-width: ', 'px) {\n    ', '\n  }\n\n  ', '\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n            bottom: 0;\n            left: 0;\n            transform: translate(0, 100%);\n          '], ['\n            bottom: 0;\n            left: 0;\n            transform: translate(0, 100%);\n          ']),
    _templateObject3 = _taggedTemplateLiteral(['\n            bottom: 0;\n            right: 0;\n            transform: translate(0, 100%);\n          '], ['\n            bottom: 0;\n            right: 0;\n            transform: translate(0, 100%);\n          ']),
    _templateObject4 = _taggedTemplateLiteral(['\n            left: 50%;\n            bottom: 0;\n            transform: translate(-50%, 100%);\n          '], ['\n            left: 50%;\n            bottom: 0;\n            transform: translate(-50%, 100%);\n          ']),
    _templateObject5 = _taggedTemplateLiteral(['\n    transform: translate(0, 0);\n    transition: transform 0.25s ', ';\n    @media(min-width: ', 'px) {\n      ', '\n    }\n  '], ['\n    transform: translate(0, 0);\n    transition: transform 0.25s ', ';\n    @media(min-width: ', 'px) {\n      ', '\n    }\n  ']),
    _templateObject6 = _taggedTemplateLiteral(['\n              transform: translate(0, 0);\n            '], ['\n              transform: translate(0, 0);\n            ']),
    _templateObject7 = _taggedTemplateLiteral(['\n              left: 50%;\n              transform: translate(-50%, 0);\n            '], ['\n              left: 50%;\n              transform: translate(-50%, 0);\n            ']);

var _recompose = require('recompose');

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _util = require('../../util');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var ToastAnimation = exports.ToastAnimation = (0, _recompose.setDisplayName)('ToastAnimation')(_styledComponents2.default.div(_templateObject, _util.getters.animationCurveFastOutLinearIn, function (_ref) {
  var theme = _ref.theme;
  return theme.snackbarTabletBreakpoint - 1;
}, _util.getters.snackbarTabletBreakpoint, function (_ref2) {
  var position = _ref2.position;

  switch (position) {
    case 'left':
      return (0, _styledComponents.css)(_templateObject2);
    case 'right':
      return (0, _styledComponents.css)(_templateObject3);
    default:
      return (0, _styledComponents.css)(_templateObject4);
  }
}, function (_ref3) {
  var isActive = _ref3.isActive;
  return isActive && (0, _styledComponents.css)(_templateObject5, _util.getters.animationCurveLinearOutSlowIn, _util.getters.snackbarTabletBreakpoint, function (_ref4) {
    var position = _ref4.position;

    switch (position) {
      case 'left':
      case 'right':
        return (0, _styledComponents.css)(_templateObject6);
      default:
        return (0, _styledComponents.css)(_templateObject7);
    }
  });
}));
//# sourceMappingURL=Toast.style.js.map