'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['\n    box-shadow: 0 0 8px rgba(0,0,0,.18),0 8px 16px rgba(0,0,0,.36);\n  '], ['\n    box-shadow: 0 0 8px rgba(0,0,0,.18),0 8px 16px rgba(0,0,0,.36);\n  ']),
    _templateObject2 = _taggedTemplateLiteral(['\n    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, ', '),\n                0 3px 1px -2px rgba(0, 0, 0, ', '),\n                0 1px 5px 0 rgba(0, 0, 0, ', ');\n  '], ['\n    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, ', '),\n                0 3px 1px -2px rgba(0, 0, 0, ', '),\n                0 1px 5px 0 rgba(0, 0, 0, ', ');\n  ']),
    _templateObject3 = _taggedTemplateLiteral(['\n    box-shadow: 0 3px 4px 0 rgba(0, 0, 0, ', '),\n                0 3px 3px -2px rgba(0, 0, 0, ', '),\n                0 1px 8px 0 rgba(0, 0, 0, ', ');\n  '], ['\n    box-shadow: 0 3px 4px 0 rgba(0, 0, 0, ', '),\n                0 3px 3px -2px rgba(0, 0, 0, ', '),\n                0 1px 8px 0 rgba(0, 0, 0, ', ');\n  ']),
    _templateObject4 = _taggedTemplateLiteral(['\n    box-shadow: 0 4px 5px 0 rgba(0, 0, 0, ', '),\n                0 1px 10px 0 rgba(0, 0, 0, ', '),\n                0 2px 4px -1px rgba(0, 0, 0, ', ');\n  '], ['\n    box-shadow: 0 4px 5px 0 rgba(0, 0, 0, ', '),\n                0 1px 10px 0 rgba(0, 0, 0, ', '),\n                0 2px 4px -1px rgba(0, 0, 0, ', ');\n  ']),
    _templateObject5 = _taggedTemplateLiteral(['\n    box-shadow: 0 6px 10px 0 rgba(0, 0, 0, ', '),\n                0 1px 18px 0 rgba(0, 0, 0, ', '),\n                0 3px 5px -1px rgba(0, 0, 0, ', ');\n  '], ['\n    box-shadow: 0 6px 10px 0 rgba(0, 0, 0, ', '),\n                0 1px 18px 0 rgba(0, 0, 0, ', '),\n                0 3px 5px -1px rgba(0, 0, 0, ', ');\n  ']),
    _templateObject6 = _taggedTemplateLiteral(['\n    box-shadow: 0 8px 10px 1px rgba(0, 0, 0, ', '),\n                0 3px 14px 2px rgba(0, 0, 0, ', '),\n                0 5px 5px -3px rgba(0, 0, 0, ', ');\n  '], ['\n    box-shadow: 0 8px 10px 1px rgba(0, 0, 0, ', '),\n                0 3px 14px 2px rgba(0, 0, 0, ', '),\n                0 5px 5px -3px rgba(0, 0, 0, ', ');\n  ']),
    _templateObject7 = _taggedTemplateLiteral(['\n    box-shadow: 0 16px 24px 2px rgba(0, 0, 0, ', '),\n                0  6px 30px 5px rgba(0, 0, 0, ', '),\n                0  8px 10px -5px rgba(0, 0, 0, ', ');\n  '], ['\n    box-shadow: 0 16px 24px 2px rgba(0, 0, 0, ', '),\n                0  6px 30px 5px rgba(0, 0, 0, ', '),\n                0  8px 10px -5px rgba(0, 0, 0, ', ');\n  ']),
    _templateObject8 = _taggedTemplateLiteral(['\n    box-shadow: 0  9px 46px  8px rgba(0, 0, 0, ', '),\n                0 11px 15px -7px rgba(0, 0, 0, ', '),\n                0 24px 38px  3px rgba(0, 0, 0, ', ');\n  '], ['\n    box-shadow: 0  9px 46px  8px rgba(0, 0, 0, ', '),\n                0 11px 15px -7px rgba(0, 0, 0, ', '),\n                0 24px 38px  3px rgba(0, 0, 0, ', ');\n  ']);

exports.focusShadow = focusShadow;
exports.shadow2dp = shadow2dp;
exports.shadow3dp = shadow3dp;
exports.shadow4dp = shadow4dp;
exports.shadow6dp = shadow6dp;
exports.shadow8dp = shadow8dp;
exports.shadow16dp = shadow16dp;
exports.shadow24dp = shadow24dp;

var _styledComponents = require('styled-components');

var _util = require('../util');

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

function focusShadow() {
  return (0, _styledComponents.css)(_templateObject);
}
function shadow2dp() {
  return (0, _styledComponents.css)(_templateObject2, _util.getters.shadowKeyPenumbraOpacity, _util.getters.shadowKeyUmbraOpacity, _util.getters.shadowAmbientShadowOpacity);
}
function shadow3dp() {
  return (0, _styledComponents.css)(_templateObject3, _util.getters.shadowKeyPenumbraOpacity, _util.getters.shadowKeyUmbraOpacity, _util.getters.shadowAmbientShadowOpacity);
}
function shadow4dp() {
  return (0, _styledComponents.css)(_templateObject4, _util.getters.shadowKeyPenumbraOpacity, _util.getters.shadowAmbientShadowOpacity, _util.getters.shadowKeyUmbraOpacity);
}
function shadow6dp() {
  return (0, _styledComponents.css)(_templateObject5, _util.getters.shadowKeyPenumbraOpacity, _util.getters.shadowAmbientShadowOpacity, _util.getters.shadowKeyUmbraOpacity);
}
function shadow8dp() {
  return (0, _styledComponents.css)(_templateObject6, _util.getters.shadowKeyPenumbraOpacity, _util.getters.shadowAmbientShadowOpacity, _util.getters.shadowKeyUmbraOpacity);
}
function shadow16dp() {
  return (0, _styledComponents.css)(_templateObject7, _util.getters.shadowKeyPenumbraOpacity, _util.getters.shadowAmbientShadowOpacity, _util.getters.shadowKeyUmbraOpacity);
}
function shadow24dp() {
  return (0, _styledComponents.css)(_templateObject8, _util.getters.shadowKeyPenumbraOpacity, _util.getters.shadowAmbientShadowOpacity, _util.getters.shadowKeyUmbraOpacity);
}
//# sourceMappingURL=shadows.style.js.map