'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _defaults = require('./defaults');

var defaults = _interopRequireWildcard(_defaults);

var _defaults2 = require('../colors/defaults');

var _createThemer = require('../createThemer');

var _createThemer2 = _interopRequireDefault(_createThemer);

var _colors = require('../../util/colors');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

exports.default = (0, _createThemer2.default)(_extends({ colorAccentContrast: _defaults2.colorAccentContrast, colorAccent: _defaults2.colorAccent }, defaults), function (theme) {
  return {
    badgeColor: (0, _colors.rgb)(theme.colorAccentContrast),
    badgeColorInverse: (0, _colors.rgb)(theme.colorAccent),
    badgeBackground: (0, _colors.rgb)(theme.colorAccent),
    badgeBackgroundInverse: (0, _colors.rgba)(theme.colorAccentContrast, 0.2)
  };
});
//# sourceMappingURL=index.js.map