'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CheckboxLabel = exports.TickOutline = exports.BoxOutline = exports.CheckboxButton = exports.CheckboxWrap = undefined;

var _templateObject = _taggedTemplateLiteral(['\n  position: relative;\n  font-size: ', 'px;\n  line-height: ', 'px;\n  display: inline-block;\n  vertical-align: middle;\n  box-sizing: border-box;\n  height: ', 'px;\n  margin: 0;\n  padding-left: ', 'px;\n'], ['\n  position: relative;\n  font-size: ', 'px;\n  line-height: ', 'px;\n  display: inline-block;\n  vertical-align: middle;\n  box-sizing: border-box;\n  height: ', 'px;\n  margin: 0;\n  padding-left: ', 'px;\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  line-height: ', 'px;\n  position: absolute;\n  width: 0;\n  height: 0;\n  margin: 0;\n  padding: 0;\n  opacity: 0;\n  -ms-appearance: none;\n  -moz-appearance: none;\n  -webkit-appearance: none;\n  appearance: none;\n  border: none;\n  &:checked ~ div {\n    border: 2px solid ', ';\n  }\n  &:checked ~ div > div {\n    background-color: ', ';\n    background-image: url(', ');\n  }\n'], ['\n  line-height: ', 'px;\n  position: absolute;\n  width: 0;\n  height: 0;\n  margin: 0;\n  padding: 0;\n  opacity: 0;\n  -ms-appearance: none;\n  -moz-appearance: none;\n  -webkit-appearance: none;\n  appearance: none;\n  border: none;\n  &:checked ~ div {\n    border: 2px solid ', ';\n  }\n  &:checked ~ div > div {\n    background-color: ', ';\n    background-image: url(', ');\n  }\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n  position: absolute;\n  top: ', 'px;\n  left: 0;\n  display: inline-block;\n  box-sizing: border-box;\n  width: ', 'px;\n  height: ', 'px;\n  margin: 0;\n  cursor: pointer;\n  overflow: hidden;\n  border: 2px solid ', ';\n  border-radius: 2px;\n  z-index: 2;\n  ', ';\n'], ['\n  position: absolute;\n  top: ', 'px;\n  left: 0;\n  display: inline-block;\n  box-sizing: border-box;\n  width: ', 'px;\n  height: ', 'px;\n  margin: 0;\n  cursor: pointer;\n  overflow: hidden;\n  border: 2px solid ', ';\n  border-radius: 2px;\n  z-index: 2;\n  ', ';\n']),
    _templateObject4 = _taggedTemplateLiteral(['\n      border: 2px solid ', ';\n      cursor: auto;\n    '], ['\n      border: 2px solid ', ';\n      cursor: auto;\n    ']),
    _templateObject5 = _taggedTemplateLiteral(['\n  position: absolute;\n  top: 0;\n  left: 0;\n  bottom: 0;\n  right: 0;\n  transform: scale(1.01);\n  mask: url(', ');\n  background: transparent;\n  transition-property: background;\n  ', '\n  ', ';\n'], ['\n  position: absolute;\n  top: 0;\n  left: 0;\n  bottom: 0;\n  right: 0;\n  transform: scale(1.01);\n  mask: url(', ');\n  background: transparent;\n  transition-property: background;\n  ', '\n  ', ';\n']),
    _templateObject6 = _taggedTemplateLiteral(['\n      background-color: ', ';\n    '], ['\n      background-color: ', ';\n    ']),
    _templateObject7 = _taggedTemplateLiteral(['\n  cursor: pointer;\n\n  ', ';\n'], ['\n  cursor: pointer;\n\n  ', ';\n']),
    _templateObject8 = _taggedTemplateLiteral(['\n      color: ', ';\n      cursor: auto;\n    '], ['\n      color: ', ';\n      cursor: auto;\n    ']);

var _recompose = require('recompose');

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _util = require('../../util');

var _images = require('./images');

var _mixins = require('../../mixins');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var CheckboxWrap = exports.CheckboxWrap = (0, _recompose.setDisplayName)('CheckboxWrap')(_styledComponents2.default.label(_templateObject, _util.getters.radioLabelFontSize, _util.getters.radioLabelHeight, _util.getters.radioLabelHeight, function (_ref) {
  var theme = _ref.theme;
  return theme.radioButtonSize + theme.radioPadding;
}));

var CheckboxButton = exports.CheckboxButton = (0, _recompose.setDisplayName)('CheckboxButton')(_styledComponents2.default.input(_templateObject2, _util.getters.radioLabelHeight, _util.getters.checkboxColor, _util.getters.checkboxColor, _images.bg));

var BoxOutline = exports.BoxOutline = (0, _recompose.setDisplayName)('BoxOutline')(_styledComponents2.default.div(_templateObject3, _util.getters.radioTopOffset, _util.getters.radioButtonSize, _util.getters.radioButtonSize, _util.getters.checkboxOffColor, function (_ref2) {
  var disabled = _ref2.disabled;
  return disabled && (0, _styledComponents.css)(_templateObject4, _util.getters.checkboxDisabledColor);
}));

var TickOutline = exports.TickOutline = (0, _recompose.setDisplayName)('TickOutline')(_styledComponents2.default.div(_templateObject5, _images.mask, (0, _mixins.materialAnimationDefault)('0.28s'), function (_ref3) {
  var disabled = _ref3.disabled;
  return disabled && (0, _styledComponents.css)(_templateObject6, _util.getters.checkboxDisabledColor);
}));

var CheckboxLabel = exports.CheckboxLabel = (0, _recompose.setDisplayName)('CheckboxLabel')(_styledComponents2.default.span(_templateObject7, function (_ref4) {
  var disabled = _ref4.disabled;
  return disabled && (0, _styledComponents.css)(_templateObject8, _util.getters.checkboxDisabledColor);
}));
//# sourceMappingURL=Checkbox.style.js.map