'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ChipContactSpan = exports.ChipContactImg = exports.ChipAction = exports.ChipText = exports.ButtonChipStyle = exports.ChipStyle = undefined;

var _templateObject = _taggedTemplateLiteral(['\n  height: ', 'px;\n  font-family: ', ';\n  line-height: ', 'px;\n  padding: 0 12px;\n  border: 0;\n  border-radius: ', 'px;\n  background-color: ', ';\n  display: inline-block;\n  color: ', ';\n  margin: 2px 0;\n  font-size: 0;\n  white-space: nowrap;\n  &:focus {\n    outline: 0;\n    ', '\n  }\n  &:active {\n    background-color: ', ';\n  }\n  ', '\n  ', '\n'], ['\n  height: ', 'px;\n  font-family: ', ';\n  line-height: ', 'px;\n  padding: 0 12px;\n  border: 0;\n  border-radius: ', 'px;\n  background-color: ', ';\n  display: inline-block;\n  color: ', ';\n  margin: 2px 0;\n  font-size: 0;\n  white-space: nowrap;\n  &:focus {\n    outline: 0;\n    ', '\n  }\n  &:active {\n    background-color: ', ';\n  }\n  ', '\n  ', '\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n    padding-right: 4px;\n  '], ['\n    padding-right: 4px;\n  ']),
    _templateObject3 = _taggedTemplateLiteral(['\n    padding-left: 0px;\n  '], ['\n    padding-left: 0px;\n  ']),
    _templateObject4 = _taggedTemplateLiteral(['\n  font-size: ', 'px;\n  vertical-align: middle;\n  display: inline-block;\n'], ['\n  font-size: ', 'px;\n  vertical-align: middle;\n  display: inline-block;\n']),
    _templateObject5 = _taggedTemplateLiteral(['\n  height: 24px;\n  width: 24px;\n  font-size: 24px;\n  background: transparent;\n  opacity: 0.54;\n  display: inline-block;\n  cursor: pointer;\n  text-align: center;\n  vertical-align: middle;\n  padding: 0;\n  margin: 0 0 0 4px;\n  text-decoration: none;\n  color: ', ';\n  border: none;\n  outline: none;\n  overflow: hidden;\n'], ['\n  height: 24px;\n  width: 24px;\n  font-size: 24px;\n  background: transparent;\n  opacity: 0.54;\n  display: inline-block;\n  cursor: pointer;\n  text-align: center;\n  vertical-align: middle;\n  padding: 0;\n  margin: 0 0 0 4px;\n  text-decoration: none;\n  color: ', ';\n  border: none;\n  outline: none;\n  overflow: hidden;\n']),
    _templateObject6 = _taggedTemplateLiteral(['\n  height: ', 'px;\n  width: ', 'px;\n  border-radius: ', 'px;\n  display: inline-block;\n  vertical-align: middle;\n  margin-right: 8px;\n  overflow: hidden;\n  text-align: center;\n  font-size: 18px;\n  line-height: 32px;\n  background-color: ', ';\n  color: ', ';\n'], ['\n  height: ', 'px;\n  width: ', 'px;\n  border-radius: ', 'px;\n  display: inline-block;\n  vertical-align: middle;\n  margin-right: 8px;\n  overflow: hidden;\n  text-align: center;\n  font-size: 18px;\n  line-height: 32px;\n  background-color: ', ';\n  color: ', ';\n']);

var _recompose = require('recompose');

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _util = require('../../util');

var _mixins = require('../../mixins');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var ChipStyle = exports.ChipStyle = (0, _recompose.setDisplayName)('ChipStyle')(_styledComponents2.default.span(_templateObject, _util.getters.chipHeight, _util.getters.preferredFont, _util.getters.chipHeight, function (_ref) {
  var theme = _ref.theme;
  return theme.chipHeight / 2;
}, _util.getters.chipBgColor, _util.getters.textColorPrimary, (0, _mixins.shadow2dp)(), _util.getters.chipBgActiveColor, function (_ref2) {
  var deletable = _ref2.deletable;
  return deletable && (0, _styledComponents.css)(_templateObject2);
}, function (_ref3) {
  var contact = _ref3.contact;
  return contact && (0, _styledComponents.css)(_templateObject3);
}));

var ButtonChipStyle = exports.ButtonChipStyle = ChipStyle.withComponent('button');

var ChipText = exports.ChipText = (0, _recompose.setDisplayName)('ChipText')(_styledComponents2.default.span(_templateObject4, _util.getters.chipFontSize));

var ChipAction = exports.ChipAction = (0, _recompose.compose)((0, _recompose.defaultProps)({
  type: 'button'
}), (0, _recompose.setDisplayName)('ChipAction'))(_styledComponents2.default.button(_templateObject5, _util.getters.textColorPrimary));

var ChipContactImg = exports.ChipContactImg = (0, _recompose.setDisplayName)('ChipContactImg')(_styledComponents2.default.img(_templateObject6, _util.getters.chipHeight, _util.getters.chipHeight, function (_ref4) {
  var theme = _ref4.theme;
  return theme.chipHeight / 2;
}, _util.getters.rgbFromProp('color', _util.getters.colorPrimary), function (_ref5) {
  var textColor = _ref5.textColor;
  return textColor || '#FFF';
}));

var ChipContactSpan = exports.ChipContactSpan = (0, _recompose.setDisplayName)('ChipContactSpan')(ChipContactImg.withComponent('span'));
//# sourceMappingURL=Chip.style.js.map