'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ListItem = exports.LiTextBody = exports.LiTitle = exports.LiAvatar = exports.LiIcon = exports.LiSubTitle = exports.LiInfo = exports.LiAction = exports.LiSecondary = exports.LiPrimary = exports.List = undefined;

var _templateObject = _taggedTemplateLiteral(['\n  display: block;\n  padding: ', 'px 0;\n  list-style: none;\n  min-width: 300px;\n  width: ', ';\n'], ['\n  display: block;\n  padding: ', 'px 0;\n  list-style: none;\n  min-width: 300px;\n  width: ', ';\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  order: 0;\n  flex-grow: 2;\n  text-decoration: none;\n  box-sizing: border-box;\n  display: flex;\n  align-items: center;\n'], ['\n  order: 0;\n  flex-grow: 2;\n  text-decoration: none;\n  box-sizing: border-box;\n  display: flex;\n  align-items: center;\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n  display: flex;\n  flex-flow: column;\n  align-items: flex-end;\n  margin-left: ', 'px;\n'], ['\n  display: flex;\n  flex-flow: column;\n  align-items: flex-end;\n  margin-left: ', 'px;\n']),
    _templateObject4 = _taggedTemplateLiteral([''], ['']),
    _templateObject5 = _taggedTemplateLiteral(['\n  ', '\n  color: ', ';\n'], ['\n  ', '\n  color: ', ';\n']),
    _templateObject6 = _taggedTemplateLiteral(['\n  padding: 0 0 0 ', 'px;\n'], ['\n  padding: 0 0 0 ', 'px;\n']),
    _templateObject7 = _taggedTemplateLiteral(['\n  height: ', 'px;\n  width: ', 'px;\n  font-size: ', 'px;\n  box-sizing: border-box;\n  color: ', ';\n  margin-right: ', 'px;\n'], ['\n  height: ', 'px;\n  width: ', 'px;\n  font-size: ', 'px;\n  box-sizing: border-box;\n  color: ', ';\n  margin-right: ', 'px;\n']),
    _templateObject8 = _taggedTemplateLiteral(['\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  height: ', 'px;\n  width: ', 'px;\n  box-sizing: border-box;\n  border-radius: 50%;\n  background-color: ', ';\n  font-size: ', 'px;\n  ', '\n  color: ', ';\n  margin-right: ', 'px;\n'], ['\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  height: ', 'px;\n  width: ', 'px;\n  box-sizing: border-box;\n  border-radius: 50%;\n  background-color: ', ';\n  font-size: ', 'px;\n  ', '\n  color: ', ';\n  margin-right: ', 'px;\n']),
    _templateObject9 = _taggedTemplateLiteral(['\n    background-image: url(', ');\n    background-position: center;\n    background-size: cover;\n    background-repeat: no-repeat;\n  '], ['\n    background-image: url(', ');\n    background-position: center;\n    background-size: cover;\n    background-repeat: no-repeat;\n  ']),
    _templateObject10 = _taggedTemplateLiteral(['\n  font-size: 16px;\n'], ['\n  font-size: 16px;\n']),
    _templateObject11 = _taggedTemplateLiteral(['\n  ', '\n  line-height: 18px;\n  height: ', 'px;\n  color: ', ';\n  display: block;\n  padding: 0;\n'], ['\n  ', '\n  line-height: 18px;\n  height: ', 'px;\n  color: ', ';\n  display: block;\n  padding: 0;\n']),
    _templateObject12 = _taggedTemplateLiteral(['\n  ', '\n  line-height: 1;\n  display: flex;\n  min-height: ', 'px;\n  box-sizing: border-box;\n  flex-direction: row;\n  flex-wrap: nowrap;\n  align-items: center;\n  padding: ', 'px;\n  cursor: default;\n  color: ', ';\n  overflow: hidden;\n  ', '\n  ', '\n  ', '\n'], ['\n  ', '\n  line-height: 1;\n  display: flex;\n  min-height: ', 'px;\n  box-sizing: border-box;\n  flex-direction: row;\n  flex-wrap: nowrap;\n  align-items: center;\n  padding: ', 'px;\n  cursor: default;\n  color: ', ';\n  overflow: hidden;\n  ', '\n  ', '\n  ', '\n']),
    _templateObject13 = _taggedTemplateLiteral(['\n    ', ' {\n      line-height: 20px;\n      display: block;\n    }\n    ', ' {\n      float: left;\n    }\n    ', ' {\n      float: left;\n    }\n  '], ['\n    ', ' {\n      line-height: 20px;\n      display: block;\n    }\n    ', ' {\n      float: left;\n    }\n    ', ' {\n      float: left;\n    }\n  ']),
    _templateObject14 = _taggedTemplateLiteral(['\n    height: ', 'px;\n    ', ' {\n      height: ', 'px;\n    }\n    ', ' {\n      height: ', 'px;\n    }\n    ', ' {\n      ', '\n      line-height: 18px;\n      color: ', ';\n      display: block;\n      padding: 0;\n    }\n    ', ' {\n      margin-top: ', 'px;\n    }\n  '], ['\n    height: ', 'px;\n    ', ' {\n      height: ', 'px;\n    }\n    ', ' {\n      height: ', 'px;\n    }\n    ', ' {\n      ', '\n      line-height: 18px;\n      color: ', ';\n      display: block;\n      padding: 0;\n    }\n    ', ' {\n      margin-top: ', 'px;\n    }\n  ']),
    _templateObject15 = _taggedTemplateLiteral(['\n    height: ', 'px;\n    ', ' {\n      height: ', 'px;\n    }\n    ', ' {\n      height: ', 'px;\n    }\n  '], ['\n    height: ', 'px;\n    ', ' {\n      height: ', 'px;\n    }\n    ', ' {\n      height: ', 'px;\n    }\n  ']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _mixins = require('../../mixins');

var _util = require('../../util');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var List = exports.List = _styledComponents2.default.ul(_templateObject, _util.getters.listBorder, function (_ref) {
  var width = _ref.width;
  return width;
});

var LiPrimary = exports.LiPrimary = _styledComponents2.default.span(_templateObject2);

var LiSecondary = exports.LiSecondary = _styledComponents2.default.span(_templateObject3, _util.getters.listMinPadding);

var LiAction = exports.LiAction = _styledComponents2.default.span(_templateObject4);
var LiInfo = exports.LiInfo = _styledComponents2.default.span(_templateObject5, (0, _mixins.typoCaption)(), _util.getters.listSupportingTextTextColor);
var LiSubTitle = exports.LiSubTitle = _styledComponents2.default.span(_templateObject6, _util.getters.listMinPadding);

var LiIcon = exports.LiIcon = _styledComponents2.default.i(_templateObject7, _util.getters.listIconSize, _util.getters.listIconSize, _util.getters.listIconSize, _util.getters.listIconColor, function (_ref2) {
  var theme = _ref2.theme;
  return theme.listIconTextLeftDistance - theme.listIconSize - theme.listMinPadding;
});

var LiAvatar = exports.LiAvatar = _styledComponents2.default.span(_templateObject8, _util.getters.listAvatarSize, _util.getters.listAvatarSize, _util.getters.listIconColor, _util.getters.listAvatarSize, function (_ref3) {
  var src = _ref3.src;
  return src && (0, _styledComponents.css)(_templateObject9, src);
}, _util.getters.listAvatarColor, function (_ref4) {
  var theme = _ref4.theme;
  return theme.listIconTextLeftDistance - theme.listAvatarSize - theme.listMinPadding;
});

var LiTitle = exports.LiTitle = _styledComponents2.default.span(_templateObject10);

var LiTextBody = exports.LiTextBody = _styledComponents2.default.div(_templateObject11, (0, _mixins.typoBody1)(), function (_ref5) {
  var theme = _ref5.theme;
  return theme.listThreeLineHeight - theme.listMinPadding - theme.listBottomPadding;
}, _util.getters.listSupportingTextTextColor);

var ListItem = exports.ListItem = _styledComponents2.default.li(_templateObject12, (0, _mixins.typoSubhead)(), _util.getters.listMinHeight, _util.getters.listMinPadding, _util.getters.listMainTextTextColor, function (_ref6) {
  var twoLine = _ref6.twoLine,
      threeLine = _ref6.threeLine;
  return (twoLine || threeLine) && (0, _styledComponents.css)(_templateObject13, LiPrimary, LiIcon, LiAvatar);
}, function (_ref7) {
  var twoLine = _ref7.twoLine;
  return twoLine && (0, _styledComponents.css)(_templateObject14, _util.getters.listTwoLineHeight, LiPrimary, function (_ref8) {
    var theme = _ref8.theme;
    return theme.listTwoLineHeight - theme.listMinPadding - theme.listBottomPadding;
  }, LiSecondary, function (_ref9) {
    var theme = _ref9.theme;
    return theme.listTwoLineHeight - theme.listMinPadding - theme.listBottomPadding;
  }, LiSubTitle, (0, _mixins.typoBody1)(), _util.getters.listSupportingTextTextColor, LiIcon, function (_ref10) {
    var theme = _ref10.theme;
    return (theme.listTwoLineHeight - theme.listMinPadding - theme.listBottomPadding - theme.listIconSize) / 2;
  });
}, function (_ref11) {
  var threeLine = _ref11.threeLine;
  return threeLine && (0, _styledComponents.css)(_templateObject15, _util.getters.listThreeLineHeight, LiPrimary, function (_ref12) {
    var theme = _ref12.theme;
    return theme.listThreeLineHeight - theme.listMinPadding - theme.listBottomPadding;
  }, LiSecondary, function (_ref13) {
    var theme = _ref13.theme;
    return theme.listThreeLineHeight - theme.listMinPadding - theme.listBottomPadding;
  });
});
//# sourceMappingURL=List.style.js.map