'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ProgressBase = undefined;

var _recompose = require('recompose');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Progress = require('./Progress.style');

var _hocs = require('../../hocs');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ProgressBase = exports.ProgressBase = function ProgressBase(_ref) {
  var indeterminate = _ref.indeterminate,
      percent = _ref.percent,
      width = _ref.width,
      Styled = _ref.__StyledComponent__;
  return _react2.default.createElement(
    Styled,
    { width: width },
    _react2.default.createElement(_Progress.ProgressBar, { indeterminate: indeterminate, percent: percent }),
    _react2.default.createElement(_Progress.BufferBar, { indeterminate: indeterminate, percent: percent }),
    _react2.default.createElement(_Progress.AuxBar, { indeterminate: indeterminate, percent: percent })
  );
};

var enhance = (0, _recompose.compose)((0, _hocs.proxyStyledStatics)(_Progress.ProgressBaseStyle), (0, _recompose.setDisplayName)('Progress'));

exports.default = enhance(ProgressBase);
//# sourceMappingURL=Progress.js.map