'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RadioBase = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _recompose = require('recompose');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Radio = require('./Radio.style');

var _hocs = require('../../hocs');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var RadioBase = function RadioBase(_ref) {
  var label = _ref.label,
      disabled = _ref.disabled,
      Styled = _ref.__StyledComponent__,
      props = _objectWithoutProperties(_ref, ['label', 'disabled', '__StyledComponent__']);

  return _react2.default.createElement(
    Styled,
    null,
    _react2.default.createElement(_Radio.RadioButton, _extends({ type: 'radio' }, props, { disabled: disabled })),
    label && _react2.default.createElement(
      _Radio.RadioLabel,
      { disabled: disabled },
      label
    ),
    _react2.default.createElement(_Radio.OuterCircle, { disabled: disabled }),
    _react2.default.createElement(_Radio.InnerCircle, { disabled: disabled })
  );
};

exports.RadioBase = RadioBase;
var enhance = (0, _recompose.compose)((0, _hocs.proxyStyledStatics)(_Radio.RadioStyle), (0, _recompose.setDisplayName)('Radio'), (0, _recompose.setPropTypes)({
  label: _propTypes2.default.string,
  disabled: _propTypes2.default.bool
}));

exports.default = enhance(RadioBase);
//# sourceMappingURL=Radio.js.map