'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RippleWrap = exports.RippleEffect = undefined;

var _templateObject = _taggedTemplateLiteral(['\n  background-color: ', ';\n  border-radius: 50%;\n  transform: \'none\';\n  pointer-events: none;\n  position: absolute;\n  top: 0;\n  left: 0;\n  overflow: hidden;\n  transition-duration: 0.6s, 0.6s, 0.6s, 1.2s;\n  transition-timing-function: ', ';\n'], ['\n  background-color: ', ';\n  border-radius: 50%;\n  transform: \'none\';\n  pointer-events: none;\n  position: absolute;\n  top: 0;\n  left: 0;\n  overflow: hidden;\n  transition-duration: 0.6s, 0.6s, 0.6s, 1.2s;\n  transition-timing-function: ', ';\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  display: block;\n  position: absolute;\n  top: 0;\n  bottom: 0;\n  left: 0;\n  right: 0;\n  z-index: 4;\n  overflow: hidden;\n  ', '\n  ', '\n'], ['\n  display: block;\n  position: absolute;\n  top: 0;\n  bottom: 0;\n  left: 0;\n  right: 0;\n  z-index: 4;\n  overflow: hidden;\n  ', '\n  ', '\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n    top: -6px;\n    left: -10px;\n    right: auto;\n    bottom: auto;\n    height: 36px;\n    width: 36px;\n  '], ['\n    top: -6px;\n    left: -10px;\n    right: auto;\n    bottom: auto;\n    height: 36px;\n    width: 36px;\n  ']),
    _templateObject4 = _taggedTemplateLiteral(['\n    border-radius: 50%;\n    -webkit-mask-image: -webkit-radial-gradient(circle, white, black);\n  '], ['\n    border-radius: 50%;\n    -webkit-mask-image: -webkit-radial-gradient(circle, white, black);\n  ']);

var _fp = require('lodash/fp');

var _recompose = require('recompose');

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _util = require('../../util');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var RippleEffect = exports.RippleEffect = (0, _recompose.setDisplayName)('RippleEffect')(_styledComponents2.default.div.attrs({
  color: (0, _fp.cond)([[(0, _fp.prop)('dark'), (0, _fp.always)('rgba(0,0,0,.3)')], [(0, _fp.prop)('colored'), function (_ref) {
    var theme = _ref.theme;
    return (0, _util.rgba)(theme.colorPrimary, 0.5);
  }], [(0, _fp.prop)('accent'), function (_ref2) {
    var theme = _ref2.theme;
    return (0, _util.rgba)(theme.colorAccent, 0.5);
  }], [_fp.T, (0, _fp.always)('white')]])
})(_templateObject, (0, _fp.prop)('color'), _util.getters.animationCurveLinearOutSlowIn));

var RippleWrap = exports.RippleWrap = (0, _recompose.setDisplayName)('RippleWrap')(_styledComponents2.default.div(_templateObject2, function (_ref3) {
  var toggle = _ref3.toggle;
  return toggle && (0, _styledComponents.css)(_templateObject3);
}, function (_ref4) {
  var round = _ref4.round;
  return round && (0, _styledComponents.css)(_templateObject4);
}));
//# sourceMappingURL=Ripple.style.js.map