'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SliderBackground = exports.SliderContainer = exports.SliderBackgroundIEContainer = exports.SliderInput = undefined;

var _templateObject = _taggedTemplateLiteral(['\n  width: calc(100% - 40px);\n  min-width: 100px;\n  margin: 0 20px;\n  -webkit-appearance: none;\n  -moz-appearance: none;\n  appearance: none;\n  height: 2px;\n  background: transparent;\n  -webkit-user-select: none;\n  -moz-user-select: none;\n  user-select: none;\n  outline: 0;\n  padding: 0;\n  color: ', ';\n  align-self: center;\n  z-index: 1;\n  cursor: pointer;\n\n  // Disable default focus on Firefox.\n  &::-moz-focus-outer {\n    border: 0;\n  }\n\n  // Disable tooltip on IE.\n  &::-ms-tooltip {\n    display: none;\n  }\n\n  /**************************** Tracks ****************************/\n  &::-webkit-slider-runnable-track {\n    background: transparent;\n  }\n\n  &::-moz-range-track {\n    background: transparent;\n    border: none;\n  }\n\n  &::-ms-track {\n    background: none;\n    color: transparent;\n    height: 2px;\n    width: 100%;\n    border: none;\n  }\n\n  &::-ms-fill-lower {\n    padding: 0;\n    ', '\n    background: linear-gradient(to right,\n                                transparent,\n                                transparent 16px,\n                                ', ' 16px,\n                                ', ' 0);\n  }\n\n  &::-ms-fill-upper {\n    padding: 0;\n    ', '\n    background: linear-gradient(to left,\n                                transparent,\n                                transparent 16px,\n                                ', ' 16px,\n                                ', ' 0);\n  }\n\n  /**************************** Thumbs ****************************/\n  &::-webkit-slider-thumb {\n    -webkit-appearance: none;\n    width: 12px;\n    height: 12px;\n    box-sizing: border-box;\n    border-radius: 50%;\n    background: ', ';\n    border: none;\n    transition: transform 0.18s ', ',\n                border 0.18s ', ',\n                box-shadow 0.18s ', ',\n                background 0.28s ', ';\n  }\n\n  &::-moz-range-thumb {\n    -moz-appearance: none;\n    width: 12px;\n    height: 12px;\n    box-sizing: border-box;\n    border-radius: 50%;\n    background-image: none;\n    background: ', ';\n    border: none;\n    // -moz-range-thumb doesn\'t currently support transitions.\n  }\n\n  &::-ms-thumb {\n    width: 32px;\n    height: 32px;\n    border: none;\n    border-radius: 50%;\n    background: ', ';\n    transform: scale(0.375);\n    ', '\n    transition: transform 0.18s ', ',\n                background 0.28s ', ';\n  }\n\n\n  ', '\n\n  ', '\n\n  ', '\n  ', '\n'], ['\n  width: calc(100% - 40px);\n  min-width: 100px;\n  margin: 0 20px;\n  -webkit-appearance: none;\n  -moz-appearance: none;\n  appearance: none;\n  height: 2px;\n  background: transparent;\n  -webkit-user-select: none;\n  -moz-user-select: none;\n  user-select: none;\n  outline: 0;\n  padding: 0;\n  color: ', ';\n  align-self: center;\n  z-index: 1;\n  cursor: pointer;\n\n  // Disable default focus on Firefox.\n  &::-moz-focus-outer {\n    border: 0;\n  }\n\n  // Disable tooltip on IE.\n  &::-ms-tooltip {\n    display: none;\n  }\n\n  /**************************** Tracks ****************************/\n  &::-webkit-slider-runnable-track {\n    background: transparent;\n  }\n\n  &::-moz-range-track {\n    background: transparent;\n    border: none;\n  }\n\n  &::-ms-track {\n    background: none;\n    color: transparent;\n    height: 2px;\n    width: 100%;\n    border: none;\n  }\n\n  &::-ms-fill-lower {\n    padding: 0;\n    ', '\n    background: linear-gradient(to right,\n                                transparent,\n                                transparent 16px,\n                                ', ' 16px,\n                                ', ' 0);\n  }\n\n  &::-ms-fill-upper {\n    padding: 0;\n    ', '\n    background: linear-gradient(to left,\n                                transparent,\n                                transparent 16px,\n                                ', ' 16px,\n                                ', ' 0);\n  }\n\n  /**************************** Thumbs ****************************/\n  &::-webkit-slider-thumb {\n    -webkit-appearance: none;\n    width: 12px;\n    height: 12px;\n    box-sizing: border-box;\n    border-radius: 50%;\n    background: ', ';\n    border: none;\n    transition: transform 0.18s ', ',\n                border 0.18s ', ',\n                box-shadow 0.18s ', ',\n                background 0.28s ', ';\n  }\n\n  &::-moz-range-thumb {\n    -moz-appearance: none;\n    width: 12px;\n    height: 12px;\n    box-sizing: border-box;\n    border-radius: 50%;\n    background-image: none;\n    background: ', ';\n    border: none;\n    // -moz-range-thumb doesn\'t currently support transitions.\n  }\n\n  &::-ms-thumb {\n    width: 32px;\n    height: 32px;\n    border: none;\n    border-radius: 50%;\n    background: ', ';\n    transform: scale(0.375);\n    ', '\n    transition: transform 0.18s ', ',\n                background 0.28s ', ';\n  }\n\n\n  ', '\n\n  ', '\n\n  ', '\n  ', '\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n      &::-webkit-slider-thumb {\n        box-shadow: 0 0 0 10px ', ';\n      }\n      &::-moz-range-thumb {\n        box-shadow: 0 0 0 10px ', ';\n      }\n      &::-ms-thumb {\n        background: radial-gradient(\n          circle closest-side,\n          ', ' 0%,\n          ', ' 37.5%,\n          ', ' 37.5%,\n          ', ' 100%\n        );\n        transform: scale(1);\n      }\n    '], ['\n      &::-webkit-slider-thumb {\n        box-shadow: 0 0 0 10px ', ';\n      }\n      &::-moz-range-thumb {\n        box-shadow: 0 0 0 10px ', ';\n      }\n      &::-ms-thumb {\n        background: radial-gradient(\n          circle closest-side,\n          ', ' 0%,\n          ', ' 37.5%,\n          ', ' 37.5%,\n          ', ' 100%\n        );\n        transform: scale(1);\n      }\n    ']),
    _templateObject3 = _taggedTemplateLiteral(['\n      &::-webkit-slider-thumb {\n        background-image: none;\n        background: ', ';\n        transform: scale(1.5);\n      }\n\n      &::-moz-range-thumb {\n        background-image: none;\n        background: ', ';\n        transform: scale(1.5);\n      }\n      &::-ms-thumb {\n        background: ', ';\n        transform: scale(0.5625);\n      }\n    '], ['\n      &::-webkit-slider-thumb {\n        background-image: none;\n        background: ', ';\n        transform: scale(1.5);\n      }\n\n      &::-moz-range-thumb {\n        background-image: none;\n        background: ', ';\n        transform: scale(1.5);\n      }\n      &::-ms-thumb {\n        background: ', ';\n        transform: scale(0.5625);\n      }\n    ']),
    _templateObject4 = _taggedTemplateLiteral(['\n      &::-webkit-slider-thumb {\n        border: 2px solid ', ';\n        background: transparent;\n      }\n\n      &::-moz-range-thumb {\n        border: 2px solid ', ';\n        background: transparent;\n      }\n\n      &::-ms-thumb {\n        background: radial-gradient(\n          circle closest-side,\n          transparent 0%,\n          transparent 66.67%,\n          ', ' 66.67%,\n          ', ' 100%\n        );\n      }\n\n      ', ' ', ' &::-ms-fill-lower {\n        background: transparent;\n      }\n\n      &::-ms-fill-upper {\n        margin-left: 6px;\n      }\n\n      &:active::-ms-fill-upper {\n        margin-left: 9px;\n      }\n\n      ', ';\n    '], ['\n      &::-webkit-slider-thumb {\n        border: 2px solid ', ';\n        background: transparent;\n      }\n\n      &::-moz-range-thumb {\n        border: 2px solid ', ';\n        background: transparent;\n      }\n\n      &::-ms-thumb {\n        background: radial-gradient(\n          circle closest-side,\n          transparent 0%,\n          transparent 66.67%,\n          ', ' 66.67%,\n          ', ' 100%\n        );\n      }\n\n      ', ' ', ' &::-ms-fill-lower {\n        background: transparent;\n      }\n\n      &::-ms-fill-upper {\n        margin-left: 6px;\n      }\n\n      &:active::-ms-fill-upper {\n        margin-left: 9px;\n      }\n\n      ', ';\n    ']),
    _templateObject5 = _taggedTemplateLiteral(['\n          &::-webkit-slider-thumb {\n            box-shadow: 0 0 0 10px ', ';\n            background: ', ';\n          }\n\n          &::-moz-range-thumb {\n            box-shadow: 0 0 0 10px ', ';\n            background: ', ';\n          }\n          &::-ms-thumb {\n            background: radial-gradient(\n              circle closest-side,\n              ', ' 0%,\n              ', ' 25%,\n              ', ' 25%,\n              ', ' 37.5%,\n              ', ' 37.5%,\n              ', ' 100%\n            );\n            transform: scale(1);\n          }\n        '], ['\n          &::-webkit-slider-thumb {\n            box-shadow: 0 0 0 10px ', ';\n            background: ', ';\n          }\n\n          &::-moz-range-thumb {\n            box-shadow: 0 0 0 10px ', ';\n            background: ', ';\n          }\n          &::-ms-thumb {\n            background: radial-gradient(\n              circle closest-side,\n              ', ' 0%,\n              ', ' 25%,\n              ', ' 25%,\n              ', ' 37.5%,\n              ', ' 37.5%,\n              ', ' 100%\n            );\n            transform: scale(1);\n          }\n        ']),
    _templateObject6 = _taggedTemplateLiteral(['\n            &::-webkit-slider-thumb {\n              border: 1.6px solid ', ';\n              transform: scale(1.5);\n            }\n\n            &::-moz-range-thumb {\n              border: 1.5px solid ', ';\n              transform: scale(1.5);\n            }\n            &::-ms-thumb {\n              transform: scale(0.5625);\n              background: radial-gradient(\n                circle closest-side,\n                transparent 0%,\n                transparent 77.78%,\n                ', ' 77.78%,\n                ', ' 100%\n              );\n            }\n          '], ['\n            &::-webkit-slider-thumb {\n              border: 1.6px solid ', ';\n              transform: scale(1.5);\n            }\n\n            &::-moz-range-thumb {\n              border: 1.5px solid ', ';\n              transform: scale(1.5);\n            }\n            &::-ms-thumb {\n              transform: scale(0.5625);\n              background: radial-gradient(\n                circle closest-side,\n                transparent 0%,\n                transparent 77.78%,\n                ', ' 77.78%,\n                ', ' 100%\n              );\n            }\n          ']),
    _templateObject7 = _taggedTemplateLiteral(['\n          &::-webkit-slider-thumb {\n            border: 3px solid ', ';\n            background: transparent;\n            transform: scale(0.667);\n          }\n          &::-moz-range-thumb {\n            border: 3px solid ', ';\n            background: transparent;\n            transform: scale(0.667);\n          }\n          &::-ms-thumb {\n            transform: scale(0.25);\n            background: radial-gradient(\n              circle closest-side,\n              transparent 0%,\n              transparent 50%,\n              ', ' 50%,\n              ', ' 100%\n            );\n          }\n          ', ';\n        '], ['\n          &::-webkit-slider-thumb {\n            border: 3px solid ', ';\n            background: transparent;\n            transform: scale(0.667);\n          }\n          &::-moz-range-thumb {\n            border: 3px solid ', ';\n            background: transparent;\n            transform: scale(0.667);\n          }\n          &::-ms-thumb {\n            transform: scale(0.25);\n            background: radial-gradient(\n              circle closest-side,\n              transparent 0%,\n              transparent 50%,\n              ', ' 50%,\n              ', ' 100%\n            );\n          }\n          ', ';\n        ']),
    _templateObject8 = _taggedTemplateLiteral(['\n              &::-ms-fill-upper {\n                margin-left: 6px;\n              }\n            '], ['\n              &::-ms-fill-upper {\n                margin-left: 6px;\n              }\n            ']),
    _templateObject9 = _taggedTemplateLiteral(['\n      &::-webkit-slider-thumb {\n        transform: scale(0.667);\n        background: ', ';\n      }\n\n      &::-moz-range-thumb {\n        transform: scale(0.667);\n        background: ', ';\n      }\n\n      &::-ms-thumb {\n        transform: scale(0.25);\n        background: ', ';\n      }\n\n      &::-ms-fill-lower {\n        margin-right: 6px;\n        background: linear-gradient(\n          to right,\n          transparent,\n          transparent 25px,\n          ', ' 25px,\n          ', ' 0\n        );\n      }\n\n      &::-ms-fill-upper {\n        margin-left: 6px;\n      }\n    '], ['\n      &::-webkit-slider-thumb {\n        transform: scale(0.667);\n        background: ', ';\n      }\n\n      &::-moz-range-thumb {\n        transform: scale(0.667);\n        background: ', ';\n      }\n\n      &::-ms-thumb {\n        transform: scale(0.25);\n        background: ', ';\n      }\n\n      &::-ms-fill-lower {\n        margin-right: 6px;\n        background: linear-gradient(\n          to right,\n          transparent,\n          transparent 25px,\n          ', ' 25px,\n          ', ' 0\n        );\n      }\n\n      &::-ms-fill-upper {\n        margin-left: 6px;\n      }\n    ']),
    _templateObject10 = _taggedTemplateLiteral(['\n  height: 18px;\n  overflow: visible;\n  border: none;\n  margin: none;\n  padding: none;\n'], ['\n  height: 18px;\n  overflow: visible;\n  border: none;\n  margin: none;\n  padding: none;\n']),
    _templateObject11 = _taggedTemplateLiteral(['\n  height: 18px;\n  position: relative;\n  background: none;\n  display: flex;\n  flex-direction: row;\n'], ['\n  height: 18px;\n  position: relative;\n  background: none;\n  display: flex;\n  flex-direction: row;\n']),
    _templateObject12 = _taggedTemplateLiteral(['\n  background: transparent;\n  position: absolute;\n  height: 2px;\n  width: calc(100% - 52px);\n  top: 50%;\n  left: 0;\n  margin: 0 26px;\n  display: flex;\n  overflow: hidden;\n  border: 0;\n  padding: 0;\n  transform: translate(0, -1px);\n  &:before,\n  &:after {\n    display: block;\n    content: \'\';\n    position: relative;\n    border: 0;\n    padding: 0;\n  }\n  ', ';\n'], ['\n  background: transparent;\n  position: absolute;\n  height: 2px;\n  width: calc(100% - 52px);\n  top: 50%;\n  left: 0;\n  margin: 0 26px;\n  display: flex;\n  overflow: hidden;\n  border: 0;\n  padding: 0;\n  transform: translate(0, -1px);\n  &:before,\n  &:after {\n    display: block;\n    content: \'\';\n    position: relative;\n    border: 0;\n    padding: 0;\n  }\n  ', ';\n']),
    _templateObject13 = _taggedTemplateLiteral(['\n    &:before {\n      background: ', ';\n      flex: ', ' 1 0%;\n      left: 0;\n      ', ';\n    }\n    &:after {\n      background: ', ';\n      flex: ', ' 1 0%;\n      left: 0;\n      transition: left 0.18s ', '\n        ', '\n        ', ';\n    }\n  '], ['\n    &:before {\n      background: ', ';\n      flex: ', ' 1 0%;\n      left: 0;\n      ', ';\n    }\n    &:after {\n      background: ', ';\n      flex: ', ' 1 0%;\n      left: 0;\n      transition: left 0.18s ', '\n        ', '\n        ', ';\n    }\n  ']),
    _templateObject14 = _taggedTemplateLiteral(['\n          background-color: ', ';\n          left: -6px;\n        '], ['\n          background-color: ', ';\n          left: -6px;\n        ']),
    _templateObject15 = _taggedTemplateLiteral(['\n            display: none;\n            left: 6px;\n          '], ['\n            display: none;\n            left: 6px;\n          ']),
    _templateObject16 = _taggedTemplateLiteral(['\n            left: 9px;\n          '], ['\n            left: 9px;\n          ']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _util = require('../../util');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

// TODO: get this working with styled components?
// // Some CSS magic to target only IE.
// _:-ms-input-placeholder, :root .mdl-slider.mdl-slider.is-upgraded {
//   -ms-appearance: none;
//   // The thumb can't overflow the track or the rest of the control in IE, so we
//   // need to make it tall enough to contain the largest version of the thumb.
//   height: 32px;
//   margin: 0;
// }

var SliderInput = exports.SliderInput = _styledComponents2.default.input(_templateObject, _util.getters.rangeColor, '' /* // Margin on -ms-track doesn't work right, so we use gradients on the
                                                                                                                       // fills. */, _util.getters.rangeColor, _util.getters.rangeColor, '' /* // Margin on -ms-track doesn't work right, so we use gradients on the
                                                                                                                                                                                            // fills. */, _util.getters.rangeBgColor, _util.getters.rangeBgColor, _util.getters.rangeColor, _util.getters.animationCurveDefault, _util.getters.animationCurveDefault, _util.getters.animationCurveDefault, _util.getters.animationCurveDefault, _util.getters.rangeColor, _util.getters.rangeColor, '' /* // -ms-thumb doesn't currently support transitions, but leaving this here
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       // in case support ever gets added. */, _util.getters.animationCurveDefault, _util.getters.animationCurveDefault, function (_ref) {
  var focused = _ref.focused,
      active = _ref.active;
  return focused && !active && (0, _styledComponents.css)(_templateObject2, _util.getters.rangeFadedColor, _util.getters.rangeFadedColor, _util.getters.rangeColor, _util.getters.rangeColor, _util.getters.rangeFadedColor, _util.getters.rangeFadedColor);
}, function (_ref2) {
  var active = _ref2.active;
  return active && (0, _styledComponents.css)(_templateObject3, _util.getters.rangeColor, _util.getters.rangeColor, _util.getters.rangeColor);
}, function (_ref3) {
  var percent = _ref3.percent;
  return percent === 0 && (0, _styledComponents.css)(_templateObject4, _util.getters.rangeBgColor, _util.getters.rangeBgColor, _util.getters.rangeBgColor, _util.getters.rangeBgColor, function (_ref4) {
    var focused = _ref4.focused,
        active = _ref4.active;
    return focused && !active && (0, _styledComponents.css)(_templateObject5, _util.getters.rangeBgFocusColor, _util.getters.rangeBgFocusColor, _util.getters.rangeBgFocusColor, _util.getters.rangeBgFocusColor, _util.getters.rangeBgFocusColor, _util.getters.rangeBgFocusColor, _util.getters.rangeBgColor, _util.getters.rangeBgColor, _util.getters.rangeBgFocusColor, _util.getters.rangeBgFocusColor);
  }, function (_ref5) {
    var active = _ref5.active;
    return active && (0, _styledComponents.css)(_templateObject6, _util.getters.rangeBgColor, _util.getters.rangeBgColor, _util.getters.rangeBgColor, _util.getters.rangeBgColor);
  }, function (_ref6) {
    var disabled = _ref6.disabled;
    return disabled && (0, _styledComponents.css)(_templateObject7, _util.getters.rangeBgColor, _util.getters.rangeBgColor, _util.getters.rangeBgColor, _util.getters.rangeBgColor, function (_ref7) {
      var active = _ref7.active;
      return active && (0, _styledComponents.css)(_templateObject8);
    });
  });
}, function (_ref8) {
  var disabled = _ref8.disabled;
  return disabled && (0, _styledComponents.css)(_templateObject9, _util.getters.rangeBgColor, _util.getters.rangeBgColor, _util.getters.rangeBgColor, _util.getters.rangeBgColor, _util.getters.rangeBgColor);
});

SliderInput.displayName = 'SliderInput';

// Since we need to specify a height of 32px in IE, we add a class here for a
// container that brings it back to a reasonable height.
var SliderBackgroundIEContainer = exports.SliderBackgroundIEContainer = _styledComponents2.default.div(_templateObject10);

SliderBackgroundIEContainer.displayName = 'SliderBackgroundIEContainer';

// We use a set of divs behind the track to style it in all non-IE browsers.
// This one contains both the background and the slider.
var SliderContainer = exports.SliderContainer = _styledComponents2.default.div(_templateObject11);

SliderContainer.displayName = 'SliderContainer';

// This one sets up a flex box for the styled upper and lower portions of the
// the slider track.
var SliderBackground = exports.SliderBackground = _styledComponents2.default.div(_templateObject12, function (_ref9) {
  var percent = _ref9.percent,
      disabled = _ref9.disabled,
      active = _ref9.active;
  return (0, _styledComponents.css)(_templateObject13, _util.getters.rangeColor, percent, disabled && (0, _styledComponents.css)(_templateObject14, _util.getters.rangeBgColor), _util.getters.rangeBgColor, 1 - percent, _util.getters.animationCurveDefault, (percent === 0 || disabled) && (0, _styledComponents.css)(_templateObject15), percent === 0 && active && !disabled && (0, _styledComponents.css)(_templateObject16));
});

SliderBackground.displayName = 'SliderBackground';
//# sourceMappingURL=Slider.style.js.map