'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Circle = exports.CircleClipper = exports.GapPatch = exports.LayerFour = exports.LayerThree = exports.LayerTwo = exports.LayerOne = exports.Layer = exports.SpinnerStyle = undefined;

var _templateObject = _taggedTemplateLiteral(['\n  to { transform: rotate(360deg) }\n'], ['\n  to { transform: rotate(360deg) }\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  transform: rotate(', 'deg);\n'], ['\n  transform: rotate(', 'deg);\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n  12.5% { ', ' }\n  25%   { ', ' }\n  37.5% { ', ' }\n  50%   { ', ' }\n  62.5% { ', ' }\n  75%   { ', ' }\n  87.5% { ', ' }\n  to    { ', ' }\n'], ['\n  12.5% { ', ' }\n  25%   { ', ' }\n  37.5% { ', ' }\n  50%   { ', ' }\n  62.5% { ', ' }\n  75%   { ', ' }\n  87.5% { ', ' }\n  to    { ', ' }\n']),
    _templateObject4 = _taggedTemplateLiteral(['\n  from { opacity: 0.99; }\n  25% { opacity: 0.99; }\n  26% { opacity: 0; }\n  89% { opacity: 0; }\n  90% { opacity: 0.99; }\n  100% { opacity: 0.99; }\n'], ['\n  from { opacity: 0.99; }\n  25% { opacity: 0.99; }\n  26% { opacity: 0; }\n  89% { opacity: 0; }\n  90% { opacity: 0.99; }\n  100% { opacity: 0.99; }\n']),
    _templateObject5 = _taggedTemplateLiteral(['\n  from { opacity: 0; }\n  15% { opacity: 0; }\n  25% { opacity: 0.99; }\n  50% { opacity: 0.99; }\n  51% { opacity: 0; }\n'], ['\n  from { opacity: 0; }\n  15% { opacity: 0; }\n  25% { opacity: 0.99; }\n  50% { opacity: 0.99; }\n  51% { opacity: 0; }\n']),
    _templateObject6 = _taggedTemplateLiteral(['\n  from { opacity: 0; }\n  40% { opacity: 0; }\n  50% { opacity: 0.99; }\n  75% { opacity: 0.99; }\n  76% { opacity: 0; }\n'], ['\n  from { opacity: 0; }\n  40% { opacity: 0; }\n  50% { opacity: 0.99; }\n  75% { opacity: 0.99; }\n  76% { opacity: 0; }\n']),
    _templateObject7 = _taggedTemplateLiteral(['\n  from { opacity: 0; }\n  65% { opacity: 0; }\n  75% { opacity: 0.99; }\n  90% { opacity: 0.99; }\n  100% { opacity: 0; }\n'], ['\n  from { opacity: 0; }\n  65% { opacity: 0; }\n  75% { opacity: 0.99; }\n  90% { opacity: 0.99; }\n  100% { opacity: 0; }\n']),
    _templateObject8 = _taggedTemplateLiteral(['\n  from { transform: rotate(130deg); }\n  50% { transform: rotate(-5deg); }\n  to { transform: rotate(130deg); }\n'], ['\n  from { transform: rotate(130deg); }\n  50% { transform: rotate(-5deg); }\n  to { transform: rotate(130deg); }\n']),
    _templateObject9 = _taggedTemplateLiteral(['\n  from { transform: rotate(-130deg); }\n  50% { transform: rotate(5deg); }\n  to { transform: rotate(-130deg); }\n'], ['\n  from { transform: rotate(-130deg); }\n  50% { transform: rotate(5deg); }\n  to { transform: rotate(-130deg); }\n']),
    _templateObject10 = _taggedTemplateLiteral(['\n  display: inline-block;\n  position: relative;\n  width: ', 'px;\n  height: ', 'px;\n\n  ', '\n'], ['\n  display: inline-block;\n  position: relative;\n  width: ', 'px;\n  height: ', 'px;\n\n  ', '\n']),
    _templateObject11 = _taggedTemplateLiteral(['\n    animation: ', ' ', 'ms linear infinite;\n  '], ['\n    animation: ', ' ', 'ms linear infinite;\n  ']),
    _templateObject12 = _taggedTemplateLiteral(['\n  position: absolute;\n  width: 100%;\n  height: 100%;\n  opacity: 0;\n'], ['\n  position: absolute;\n  width: 100%;\n  height: 100%;\n  opacity: 0;\n']),
    _templateObject13 = _taggedTemplateLiteral(['\n  border-color: ', ';\n\n  ', '\n'], ['\n  border-color: ', ';\n\n  ', '\n']),
    _templateObject14 = _taggedTemplateLiteral(['\n    animation: ', ' ', ',\n               ', ' ', ';\n  '], ['\n    animation: ', ' ', ',\n               ', ' ', ';\n  ']),
    _templateObject15 = _taggedTemplateLiteral(['\n  position: absolute;\n  box-sizing: border-box;\n  top: 0;\n  left: 45%;\n  width: 10%;\n  height: 100%;\n  overflow: hidden;\n  border-color: inherit;\n'], ['\n  position: absolute;\n  box-sizing: border-box;\n  top: 0;\n  left: 45%;\n  width: 10%;\n  height: 100%;\n  overflow: hidden;\n  border-color: inherit;\n']),
    _templateObject16 = _taggedTemplateLiteral(['\n  display: inline-block;\n  position: relative;\n  width: 50%;\n  height: 100%;\n  overflow: hidden;\n  border-color: inherit;\n  ', '\n  ', '\n'], ['\n  display: inline-block;\n  position: relative;\n  width: 50%;\n  height: 100%;\n  overflow: hidden;\n  border-color: inherit;\n  ', '\n  ', '\n']),
    _templateObject17 = _taggedTemplateLiteral(['float: left;'], ['float: left;']),
    _templateObject18 = _taggedTemplateLiteral(['float: right;'], ['float: right;']),
    _templateObject19 = _taggedTemplateLiteral(['\n  box-sizing: border-box;\n  height: 100%;\n  border-width: ', 'px;\n  border-style: solid;\n  border-color: inherit;\n  border-bottom-color: transparent !important;\n  border-radius: 50%;\n  animation: none;\n  position: absolute;\n  top: 0;\n  right: 0;\n  bottom: 0;\n  left: 0;\n\n  ', '\n\n  ', '\n\n  ', '\n\n  ', '\n'], ['\n  box-sizing: border-box;\n  height: 100%;\n  border-width: ', 'px;\n  border-style: solid;\n  border-color: inherit;\n  border-bottom-color: transparent !important;\n  border-radius: 50%;\n  animation: none;\n  position: absolute;\n  top: 0;\n  right: 0;\n  bottom: 0;\n  left: 0;\n\n  ', '\n\n  ', '\n\n  ', '\n\n  ', '\n']),
    _templateObject20 = _taggedTemplateLiteral(['\n    border-right-color: transparent !important;\n    transform: rotate(129deg);\n    ', '\n  '], ['\n    border-right-color: transparent !important;\n    transform: rotate(129deg);\n    ', '\n  ']),
    _templateObject21 = _taggedTemplateLiteral(['\n      animation: ', ' ', 'ms\n                 ', ' infinite both;\n    '], ['\n      animation: ', ' ', 'ms\n                 ', ' infinite both;\n    ']),
    _templateObject22 = _taggedTemplateLiteral(['\n    left: -100%;\n    border-left-color: transparent !important;\n    transform: rotate(-129deg);\n    ', '\n  '], ['\n    left: -100%;\n    border-left-color: transparent !important;\n    transform: rotate(-129deg);\n    ', '\n  ']),
    _templateObject23 = _taggedTemplateLiteral(['\n    width: 200%;\n  '], ['\n    width: 200%;\n  ']),
    _templateObject24 = _taggedTemplateLiteral(['\n    width: 1000%;\n    left: -450%;\n  '], ['\n    width: 1000%;\n    left: -450%;\n  ']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _recompose = require('recompose');

var _util = require('../../util');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var rotate = (0, _styledComponents.keyframes)(_templateObject);

var spinnerArcSize = function spinnerArcSize(scalar) {
  return (0, _styledComponents.css)(_templateObject2, scalar * 270);
};

var fillUnfillRotate = (0, _styledComponents.keyframes)(_templateObject3, spinnerArcSize(0.5), spinnerArcSize(1.0), spinnerArcSize(1.5), spinnerArcSize(2.0), spinnerArcSize(2.5), spinnerArcSize(3.0), spinnerArcSize(3.5), spinnerArcSize(4.0));
/**
* HACK: Even though the intention is to have the current .mdl-spinner__layer-N
* at `opacity: 1`, we set it to `opacity: 0.99` instead since this forces Chrome
* to do proper subpixel rendering for the elements being animated. This is
* especially visible in Chrome 39 on Ubuntu 14.04. See:
*
* - https://github.com/Polymer/paper-spinner/issues/9
* - https://code.google.com/p/chromium/issues/detail?id=436255
*/
var layer1FadeInOut = (0, _styledComponents.keyframes)(_templateObject4);
var layer2FadeInOut = (0, _styledComponents.keyframes)(_templateObject5);
var layer3FadeInOut = (0, _styledComponents.keyframes)(_templateObject6);
var layer4FadeInOut = (0, _styledComponents.keyframes)(_templateObject7);
var leftSpin = (0, _styledComponents.keyframes)(_templateObject8);
var rightSpin = (0, _styledComponents.keyframes)(_templateObject9);

var SpinnerStyle = exports.SpinnerStyle = (0, _recompose.setDisplayName)('SpinnerStyle')(_styledComponents2.default.div(_templateObject10, _util.getters.spinnerSize, _util.getters.spinnerSize, function (_ref) {
  var active = _ref.active;
  return active && (0, _styledComponents.css)(_templateObject11, rotate, _util.getters.spinnerDuration);
}));

var Layer = exports.Layer = _styledComponents2.default.div(_templateObject12);

var spinnerArcTime = function spinnerArcTime(co) {
  return function (_ref2) {
    var theme = _ref2.theme;
    return theme.spinnerArcTime * co + 'ms ' + theme.animationCurveFastOutSlowIn + ' infinite both';
  };
};

var LayerOne = exports.LayerOne = (0, _recompose.setDisplayName)('LayerOne')(Layer.extend(_templateObject13, function (_ref3) {
  var theme = _ref3.theme,
      singleColor = _ref3.singleColor;
  return singleColor ? theme.spinnerSingleColor : theme.spinnerColor1;
}, function (_ref4) {
  var active = _ref4.active;
  return active && (0, _styledComponents.css)(_templateObject14, fillUnfillRotate, spinnerArcTime(4), layer1FadeInOut, spinnerArcTime(4));
}));

var LayerTwo = exports.LayerTwo = (0, _recompose.setDisplayName)('LayerTwo')(Layer.extend(_templateObject13, function (_ref5) {
  var theme = _ref5.theme,
      singleColor = _ref5.singleColor;
  return singleColor ? theme.spinnerSingleColor : theme.spinnerColor2;
}, function (_ref6) {
  var active = _ref6.active;
  return active && (0, _styledComponents.css)(_templateObject14, fillUnfillRotate, spinnerArcTime(4), layer2FadeInOut, spinnerArcTime(4));
}));

var LayerThree = exports.LayerThree = (0, _recompose.setDisplayName)('LayerThree')(Layer.extend(_templateObject13, function (_ref7) {
  var theme = _ref7.theme,
      singleColor = _ref7.singleColor;
  return singleColor ? theme.spinnerSingleColor : theme.spinnerColor3;
}, function (_ref8) {
  var active = _ref8.active;
  return active && (0, _styledComponents.css)(_templateObject14, fillUnfillRotate, spinnerArcTime(4), layer3FadeInOut, spinnerArcTime(4));
}));

var LayerFour = exports.LayerFour = (0, _recompose.setDisplayName)('LayerFour')(Layer.extend(_templateObject13, function (_ref9) {
  var theme = _ref9.theme,
      singleColor = _ref9.singleColor;
  return singleColor ? theme.spinnerSingleColor : theme.spinnerColor4;
}, function (_ref10) {
  var active = _ref10.active;
  return active && (0, _styledComponents.css)(_templateObject14, fillUnfillRotate, spinnerArcTime(4), layer4FadeInOut, spinnerArcTime(4));
}));

/**
* Patch the gap that appear between the two adjacent
* div.mdl-spinner__circle-clipper while the spinner is rotating
* (appears on Chrome 38, Safari 7.1, and IE 11).
*
* Update: the gap no longer appears on Chrome when .mdl-spinner__layer-N's
* opacity is 0.99, but still does on Safari and IE.
*/
var GapPatch = exports.GapPatch = (0, _recompose.setDisplayName)('GapPatch')(_styledComponents2.default.div(_templateObject15));

var CircleClipper = exports.CircleClipper = (0, _recompose.setDisplayName)('CircleClipper')(_styledComponents2.default.div(_templateObject16, function (_ref11) {
  var left = _ref11.left;
  return left && (0, _styledComponents.css)(_templateObject17);
}, function (_ref12) {
  var right = _ref12.right;
  return right && (0, _styledComponents.css)(_templateObject18);
}));

var Circle = exports.Circle = (0, _recompose.setDisplayName)('Circle')(_styledComponents2.default.div(_templateObject19, _util.getters.spinnerStrokeWidth, function (_ref13) {
  var left = _ref13.left;
  return left && (0, _styledComponents.css)(_templateObject20, function (_ref14) {
    var active = _ref14.active;
    return active && (0, _styledComponents.css)(_templateObject21, leftSpin, _util.getters.spinnerArcTime, _util.getters.animationCurveFastOutSlowIn);
  });
}, function (_ref15) {
  var right = _ref15.right;
  return right && (0, _styledComponents.css)(_templateObject22, function (_ref16) {
    var active = _ref16.active;
    return active && (0, _styledComponents.css)(_templateObject21, rightSpin, _util.getters.spinnerArcTime, _util.getters.animationCurveFastOutSlowIn);
  });
}, function (_ref17) {
  var clipper = _ref17.clipper;
  return clipper && (0, _styledComponents.css)(_templateObject23);
}, function (_ref18) {
  var gap = _ref18.gap;
  return gap && (0, _styledComponents.css)(_templateObject24);
}));
//# sourceMappingURL=Spinner.style.js.map