'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SwitchBase = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _recompose = require('recompose');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _hocs = require('../../hocs');

var _Switch = require('./Switch.style');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var SwitchBase = function SwitchBase(_ref) {
  var label = _ref.label,
      disabled = _ref.disabled,
      Styled = _ref.__StyledComponent__,
      props = _objectWithoutProperties(_ref, ['label', 'disabled', '__StyledComponent__']);

  return _react2.default.createElement(
    Styled,
    props,
    _react2.default.createElement(
      _Switch.SwitchStyle,
      null,
      _react2.default.createElement(_Switch.SwitchButton, _extends({ type: 'checkbox', disabled: disabled }, props)),
      label && _react2.default.createElement(
        _Switch.SwitchLabel,
        { disabled: disabled },
        label
      ),
      _react2.default.createElement(_Switch.Track, { disabled: disabled }),
      _react2.default.createElement(_Switch.Thumb, { disabled: disabled })
    )
  );
};

exports.SwitchBase = SwitchBase;
var enhance = (0, _recompose.compose)((0, _hocs.proxyStyledStatics)(_Switch.SwitchWrapStyle), (0, _recompose.setDisplayName)('Switch'), (0, _recompose.setPropTypes)({
  label: _propTypes2.default.string,
  disabled: _propTypes2.default.bool
}));

exports.default = enhance(SwitchBase);
//# sourceMappingURL=Switch.js.map