'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ExpandableHolder = exports.ErrorMessage = exports.HelperText = exports.Label = exports.Textarea = exports.Input = exports.TextfieldStyle = undefined;

var _templateObject = _taggedTemplateLiteral(['\n  position: relative;\n  font-size: ', 'px;\n  display: inline-block;\n  box-sizing: border-box;\n  width: 300px;\n  max-width: 100%;\n  margin: 0;\n  padding: ', 'px 0;\n  ', '\n  ', '\n  ', '\n'], ['\n  position: relative;\n  font-size: ', 'px;\n  display: inline-block;\n  box-sizing: border-box;\n  width: 300px;\n  max-width: 100%;\n  margin: 0;\n  padding: ', 'px 0;\n  ', '\n  ', '\n  ', '\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n      text-align: right;\n    '], ['\n      text-align: right;\n    ']),
    _templateObject3 = _taggedTemplateLiteral(['\n      width: 100%;\n    '], ['\n      width: 100%;\n    ']),
    _templateObject4 = _taggedTemplateLiteral(['\n      min-width: ', 'px;\n      width: auto;\n      min-height: ', 'px;\n    '], ['\n      min-width: ', 'px;\n      width: auto;\n      min-height: ', 'px;\n    ']),
    _templateObject5 = _taggedTemplateLiteral(['\n  border: none;\n  border-bottom: 1px solid ', ';\n  display: block;\n  font-size: ', 'px;\n  font-family: ', 'px;\n  margin: 0;\n  padding: ', 'px 0;\n  width: ', ';\n  background: none;\n  text-align: left;\n  color: inherit;\n\n  &[type="number"] {\n    -moz-appearance: textfield;\n  }\n\n  &[type="number"]::-webkit-inner-spin-button,\n  &[type="number"]::-webkit-outer-spin-button {\n    -webkit-appearance: none;\n    margin: 0;\n  }\n\n  ', '\n\n  ', '\n\n  ', '\n'], ['\n  border: none;\n  border-bottom: 1px solid ', ';\n  display: block;\n  font-size: ', 'px;\n  font-family: ', 'px;\n  margin: 0;\n  padding: ', 'px 0;\n  width: ', ';\n  background: none;\n  text-align: left;\n  color: inherit;\n\n  &[type="number"] {\n    -moz-appearance: textfield;\n  }\n\n  &[type="number"]::-webkit-inner-spin-button,\n  &[type="number"]::-webkit-outer-spin-button {\n    -webkit-appearance: none;\n    margin: 0;\n  }\n\n  ', '\n\n  ', '\n\n  ', '\n']),
    _templateObject6 = _taggedTemplateLiteral(['\n      outline: none;\n    '], ['\n      outline: none;\n    ']),
    _templateObject7 = _taggedTemplateLiteral(['\n        border-color: ', ';\n        box-shadow: none;\n      '], ['\n        border-color: ', ';\n        box-shadow: none;\n      ']),
    _templateObject8 = _taggedTemplateLiteral(['\n      background-color: transparent;\n      border-bottom: 1px dotted ', ';\n      color: ', ';\n    '], ['\n      background-color: transparent;\n      border-bottom: 1px dotted ', ';\n      color: ', ';\n    ']),
    _templateObject9 = _taggedTemplateLiteral(['\n  display: block;\n'], ['\n  display: block;\n']),
    _templateObject10 = _taggedTemplateLiteral(['\n  bottom: 0;\n  color: ', ';\n  font-size: ', 'px;\n  left: 0;\n  right: 0;\n  pointer-events: none;\n  position: absolute;\n  display: block;\n  top: ', 'px;\n  width: 100%;\n  overflow: hidden;\n  white-space: nowrap;\n  text-align: left;\n\n  // The after label is the colored underline for the TextField.\n  &:after {\n    background-color: ', ';\n    bottom: ', 'px;\n    content: \'\';\n    height: 2px;\n    left: 45%;\n    position: absolute;\n    ', '\n    visibility: hidden;\n    width: 10px;\n    ', '\n    ', '\n  }\n\n  ', '\n\n  ', '\n\n  ', '\n'], ['\n  bottom: 0;\n  color: ', ';\n  font-size: ', 'px;\n  left: 0;\n  right: 0;\n  pointer-events: none;\n  position: absolute;\n  display: block;\n  top: ', 'px;\n  width: 100%;\n  overflow: hidden;\n  white-space: nowrap;\n  text-align: left;\n\n  // The after label is the colored underline for the TextField.\n  &:after {\n    background-color: ', ';\n    bottom: ', 'px;\n    content: \'\';\n    height: 2px;\n    left: 45%;\n    position: absolute;\n    ', '\n    visibility: hidden;\n    width: 10px;\n    ', '\n    ', '\n  }\n\n  ', '\n\n  ', '\n\n  ', '\n']),
    _templateObject11 = _taggedTemplateLiteral(['\n        left: 0;\n        visibility: visible;\n        width: 100%;\n      '], ['\n        left: 0;\n        visibility: visible;\n        width: 100%;\n      ']),
    _templateObject12 = _taggedTemplateLiteral(['\n          background-color: ', ';\n        '], ['\n          background-color: ', ';\n        ']),
    _templateObject13 = _taggedTemplateLiteral(['\n        visibility: hidden;\n      '], ['\n        visibility: hidden;\n      ']),
    _templateObject14 = _taggedTemplateLiteral(['\n    ', '\n\n    ', '\n\n    ', '\n\n    ', '\n  '], ['\n    ', '\n\n    ', '\n\n    ', '\n\n    ', '\n  ']),
    _templateObject15 = _taggedTemplateLiteral(['\n        transition: none;\n      '], ['\n        transition: none;\n      ']),
    _templateObject16 = _taggedTemplateLiteral(['\n        color: ', ';\n        font-size: ', 'px;\n        top: ', 'px;\n        visibility: visible;\n      '], ['\n        color: ', ';\n        font-size: ', 'px;\n        top: ', 'px;\n        visibility: visible;\n      ']),
    _templateObject17 = _taggedTemplateLiteral(['\n          color: ', ';\n          top: ', 'px;\n          font-size: ', 'px;\n        '], ['\n          color: ', ';\n          top: ', 'px;\n          font-size: ', 'px;\n        ']),
    _templateObject18 = _taggedTemplateLiteral(['\n      color: ', ';\n    '], ['\n      color: ', ';\n    ']),
    _templateObject19 = _taggedTemplateLiteral(['\n  color: ', ';\n  position: absolute;\n  font-size: ', 'px;\n  margin-top: 3px;\n  display: block;\n'], ['\n  color: ', ';\n  position: absolute;\n  font-size: ', 'px;\n  margin-top: 3px;\n  display: block;\n']),
    _templateObject20 = _taggedTemplateLiteral(['\n  color: ', ';\n'], ['\n  color: ', ';\n']),
    _templateObject21 = _taggedTemplateLiteral(['\n  display: inline-block;\n  position: relative;\n  margin-left: ', ';\n\n  ', ';\n  display: inline-block;\n\n  ', ' max-width: 0.1px;\n\n  ', ' .mdl-textfield__label:after {\n    bottom: 0;\n  }\n  ', ';\n'], ['\n  display: inline-block;\n  position: relative;\n  margin-left: ', ';\n\n  ', ';\n  display: inline-block;\n\n  ', ' max-width: 0.1px;\n\n  ', ' .mdl-textfield__label:after {\n    bottom: 0;\n  }\n  ', ';\n']),
    _templateObject22 = _taggedTemplateLiteral(['\n      ', ' max-width: 600px;\n    '], ['\n      ', ' max-width: 600px;\n    ']),
    _templateObject23 = _taggedTemplateLiteral(['\n      ', ';\n    '], ['\n      ', ';\n    ']),
    _templateObject24 = _taggedTemplateLiteral(['\n          top: ', 'px;\n        '], ['\n          top: ', 'px;\n        ']);

var _recompose = require('recompose');

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _util = require('../../util');

var _mixins = require('../../mixins');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

// The container for the whole component.
var TextfieldStyle = exports.TextfieldStyle = (0, _recompose.setDisplayName)('TextfieldStyle')(_styledComponents2.default.div(_templateObject, _util.getters.inputTextFontSize, _util.getters.inputTextVerticalSpacing, function (_ref) {
  var alignRight = _ref.alignRight;
  return alignRight && (0, _styledComponents.css)(_templateObject2);
}, function (_ref2) {
  var fullWidth = _ref2.fullWidth;
  return fullWidth && (0, _styledComponents.css)(_templateObject3);
}, function (_ref3) {
  var expandable = _ref3.expandable;
  return expandable && (0, _styledComponents.css)(_templateObject4, _util.getters.inputTextButtonSize, _util.getters.inputTextButtonSize);
}));

// Styling for the input element.
var Input = exports.Input = (0, _recompose.setDisplayName)('Input')(_styledComponents2.default.input(_templateObject5, _util.getters.inputTextBottomBorderColor, _util.getters.inputTextFontSize, _util.getters.performanceFont, _util.getters.inputTextPadding, _util.getters.inputTextWidth, function (_ref4) {
  var focused = _ref4.focused;
  return focused && (0, _styledComponents.css)(_templateObject6);
}, function (_ref5) {
  var invalid = _ref5.invalid,
      error = _ref5.error;
  return invalid || error && (0, _styledComponents.css)(_templateObject7, _util.getters.inputTextErrorColor);
}, function (_ref6) {
  var disabled = _ref6.disabled;
  return disabled && (0, _styledComponents.css)(_templateObject8, _util.getters.inputTextDisabledColor, _util.getters.inputTextDisabledTextColor);
}));

var Textarea = exports.Textarea = (0, _recompose.setDisplayName)('Textarea')(Input.withComponent('textarea').extend(_templateObject9));

// Styling for the label / floating label.
var Label = exports.Label = (0, _recompose.setDisplayName)('Label')(_styledComponents2.default.label(_templateObject10, _util.getters.inputTextLabelColor, _util.getters.inputTextFontSize, function (_ref7) {
  var theme = _ref7.theme;
  return theme.inputTextPadding + theme.inputTextVerticalSpacing;
}, _util.getters.inputTextHighlightColor, _util.getters.inputTextVerticalSpacing, (0, _mixins.materialAnimationDefault)(), function (_ref8) {
  var focused = _ref8.focused;
  return focused && (0, _styledComponents.css)(_templateObject11);
}, function (_ref9) {
  var invalid = _ref9.invalid,
      error = _ref9.error;
  return invalid || error && (0, _styledComponents.css)(_templateObject12, _util.getters.inputTextErrorColor);
}, function (_ref10) {
  var value = _ref10.value,
      placeholder = _ref10.placeholder;
  return !!value || !!placeholder && (0, _styledComponents.css)(_templateObject13);
}, function (_ref11) {
  var label = _ref11.label;
  return label && (0, _styledComponents.css)(_templateObject14, (0, _mixins.materialAnimationDefault)(), function (_ref12) {
    var placeholder = _ref12.placeholder;
    return !!placeholder && (0, _styledComponents.css)(_templateObject15);
  }, function (_ref13) {
    var focused = _ref13.focused,
        placeholder = _ref13.placeholder,
        value = _ref13.value,
        theme = _ref13.theme;
    return (focused || !!placeholder || !!value) && (0, _styledComponents.css)(_templateObject16, _util.getters.inputTextHighlightColor, _util.getters.inputTextFloatingLabelFontsize, theme.inputTextVerticalSpacing - (theme.inputTextFloatingLabelFontsize + theme.inputTextPadding));
  }, function (_ref14) {
    var invalid = _ref14.invalid,
        error = _ref14.error,
        theme = _ref14.theme;
    return invalid || error && (0, _styledComponents.css)(_templateObject17, _util.getters.inputTextErrorColor, theme.inputTextVerticalSpacing - (theme.inputTextFloatingLabelFontsize + theme.inputTextPadding), _util.getters.inputTextFloatingLabelFontsize);
  });
}, function (_ref15) {
  var disabled = _ref15.disabled;
  return disabled && (0, _styledComponents.css)(_templateObject18, _util.getters.inputTextDisabledTextColor);
}));

// TextField Error.

var HelperText = exports.HelperText = (0, _recompose.setDisplayName)('HelperText')(_styledComponents2.default.div(_templateObject19, _util.getters.inputTextLabelColor, _util.getters.inputTextFloatingLabelFontsize));

var ErrorMessage = exports.ErrorMessage = (0, _recompose.setDisplayName)('ErrorMessage')(HelperText.extend(_templateObject20, _util.getters.inputTextErrorColor));

var ExpandableHolder = exports.ExpandableHolder = (0, _recompose.setDisplayName)('ExpandableHolder')(_styledComponents2.default.div(_templateObject21, _util.getters.inputTextButtonSize, (0, _mixins.materialAnimationDefault)(), '' /* // Safari (possibly others) need to be convinced that this field is actually
                                                                                                                                                                                                                                      // visible, otherwise it cannot be tabbed to nor focused via a <label>.
                                                                                                                                                                                                                                      // TODO: In some cases (Retina displays), this is big enough to render the
                                                                                                                                                                                                                                      // inner element :( */, function (_ref16) {
  var focused = _ref16.focused,
      value = _ref16.value;
  return (focused || !!value) && (0, _styledComponents.css)(_templateObject22, '' /* // This is an unfortunate hack. Animating between widths in percent (%)
                                                                                  // in many browsers (Chrome, Firefox) only animates the inner visual style
                                                                                  // of the input - the outer bounding box still 'jumps'.
                                                                                  // Thus assume a sensible maximum, and animate to/from that value. */);
}, function (_ref17) {
  var label = _ref17.label,
      theme = _ref17.theme;
  return label && (0, _styledComponents.css)(_templateObject23, function (_ref18) {
    var focused = _ref18.focused,
        placeholder = _ref18.placeholder,
        value = _ref18.value;
    return (focused || !!placeholder || !!value) && (0, _styledComponents.css)(_templateObject24, -(theme.inputTextFloatingLabelFontsize + theme.inputTextPadding));
  });
}));
//# sourceMappingURL=Textfield.style.js.map