'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TooltipStyle = exports.TooltipPosition = exports.TooltipWrapper = undefined;

var _templateObject = _taggedTemplateLiteral(['\n  display: inline-block;\n'], ['\n  display: inline-block;\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  position: fixed;\n  transform: scale(0.6);\n  opacity: 0;\n  z-index: 999999;\n  transition: opacity 0.2s ', ',\n              transform 0.2s ', ';\n  ', '\n  ', '\n'], ['\n  position: fixed;\n  transform: scale(0.6);\n  opacity: 0;\n  z-index: 999999;\n  transition: opacity 0.2s ', ',\n              transform 0.2s ', ';\n  ', '\n  ', '\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n    opacity: 1;\n    transform: none;\n  '], ['\n    opacity: 1;\n    transform: none;\n  ']),
    _templateObject4 = _taggedTemplateLiteral(['\n      top: ', 'px;\n      left: ', 'px;\n      transform-origin: bottom center;\n    '], ['\n      top: ', 'px;\n      left: ', 'px;\n      transform-origin: bottom center;\n    ']),
    _templateObject5 = _taggedTemplateLiteral(['\n      top: ', 'px;\n      left: ', 'px;\n      transform-origin: top center;\n    '], ['\n      top: ', 'px;\n      left: ', 'px;\n      transform-origin: top center;\n    ']),
    _templateObject6 = _taggedTemplateLiteral(['\n      top: ', 'px;\n      left: ', 'px;\n      transform-origin: center right;\n    '], ['\n      top: ', 'px;\n      left: ', 'px;\n      transform-origin: center right;\n    ']),
    _templateObject7 = _taggedTemplateLiteral(['\n      top: ', 'px;\n      left: ', 'px;\n      transform-origin: center left;\n    '], ['\n      top: ', 'px;\n      left: ', 'px;\n      transform-origin: center left;\n    ']),
    _templateObject8 = _taggedTemplateLiteral(['\n  display: block;\n  background: ', ';\n  color: ', ';\n  font-size: ', 'px;\n  line-height: 14px;\n  padding: 8px;\n  border-radius: 2px;\n  user-select: none;\n  pointer-events: none;\n  position: absolute;\n  white-space: nowrap;\n  text-align: center;\n  ', '\n  ', '\n'], ['\n  display: block;\n  background: ', ';\n  color: ', ';\n  font-size: ', 'px;\n  line-height: 14px;\n  padding: 8px;\n  border-radius: 2px;\n  user-select: none;\n  pointer-events: none;\n  position: absolute;\n  white-space: nowrap;\n  text-align: center;\n  ', '\n  ', '\n']),
    _templateObject9 = _taggedTemplateLiteral(['\n    font-size: ', 'px;\n    padding: 16px;\n  '], ['\n    font-size: ', 'px;\n    padding: 16px;\n  ']),
    _templateObject10 = _taggedTemplateLiteral(['\n      transform: translate(-50%, -100%);\n      ', '\n    '], ['\n      transform: translate(-50%, -100%);\n      ', '\n    ']),
    _templateObject11 = _taggedTemplateLiteral(['\n      transform: translate(-50%, 0);\n      ', '\n    '], ['\n      transform: translate(-50%, 0);\n      ', '\n    ']),
    _templateObject12 = _taggedTemplateLiteral(['\n      transform: translate(-100%, -50%);\n      ', '\n    '], ['\n      transform: translate(-100%, -50%);\n      ', '\n    ']),
    _templateObject13 = _taggedTemplateLiteral(['\n      transform: translate(0%, -50%);\n      ', '\n    '], ['\n      transform: translate(0%, -50%);\n      ', '\n    ']);

var _styledTools = require('styled-tools');

var _fp = require('lodash/fp');

var _recompose = require('recompose');

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _mixins = require('../../mixins');

var _util = require('../../util');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var TooltipWrapper = exports.TooltipWrapper = (0, _recompose.setDisplayName)('TooltipWrapper')(_styledComponents2.default.div(_templateObject));

var TooltipPosition = exports.TooltipPosition = (0, _recompose.setDisplayName)('TooltipPosition')(_styledComponents2.default.div(_templateObject2, _util.getters.animationCurveLinearOutSlowIn, _util.getters.animationCurveLinearOutSlowIn, (0, _styledTools.ifProp)('isVisible', (0, _styledComponents.css)(_templateObject3)), (0, _styledTools.switchProp)('position', {
  above: (0, _styledComponents.css)(_templateObject4, (0, _styledTools.call)(_fp.subtract, (0, _styledTools.prop)('y'), (0, _fp.always)(7)), (0, _styledTools.prop)('x')),
  below: (0, _styledComponents.css)(_templateObject5, (0, _styledTools.call)(_fp.add, (0, _styledTools.prop)('y'), (0, _fp.always)(7)), (0, _styledTools.prop)('x')),
  left: (0, _styledComponents.css)(_templateObject6, (0, _styledTools.prop)('y'), (0, _styledTools.call)(_fp.subtract, (0, _styledTools.prop)('x'), (0, _fp.always)(7))),
  right: (0, _styledComponents.css)(_templateObject7, (0, _styledTools.prop)('y'), (0, _styledTools.call)(_fp.add, (0, _styledTools.prop)('x'), (0, _fp.always)(7)))
})));

var TooltipStyle = exports.TooltipStyle = (0, _recompose.setDisplayName)('TooltipBase')(_styledComponents2.default.div(_templateObject8, _util.getters.tooltipBackgroundColor, _util.getters.tooltipTextColor, _util.getters.tooltipFontSize, (0, _styledTools.ifProp)('large', (0, _styledComponents.css)(_templateObject9, _util.getters.tooltipFontSizeLarge)), (0, _styledTools.switchProp)('position', {
  above: (0, _styledComponents.css)(_templateObject10, (0, _styledTools.call)((0, _mixins.arrowBottom)('5px'), _util.getters.tooltipBackgroundColor)),
  below: (0, _styledComponents.css)(_templateObject11, (0, _styledTools.call)((0, _mixins.arrowTop)('5px'), _util.getters.tooltipBackgroundColor)),
  left: (0, _styledComponents.css)(_templateObject12, (0, _styledTools.call)((0, _mixins.arrowRight)('5px'), _util.getters.tooltipBackgroundColor)),
  right: (0, _styledComponents.css)(_templateObject13, (0, _styledTools.call)((0, _mixins.arrowLeft)('5px'), _util.getters.tooltipBackgroundColor))
})));
//# sourceMappingURL=Tooltip.style.js.map