'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.arrowLeft = exports.arrowBottom = exports.arrowRight = exports.arrowTop = undefined;

var _templateObject = _taggedTemplateLiteral(['\n  &:after {\n    bottom: 100%;\n    left: 50%;\n    border: solid transparent;\n    content: " ";\n    height: 0;\n    width: 0;\n    position: absolute;\n    pointer-events: none;\n    border-color: rgba(0, 0, 0, 0);\n    border-bottom-color: ', ';\n    border-width: ', ';\n    margin-left: -', ';\n  }\n'], ['\n  &:after {\n    bottom: 100%;\n    left: 50%;\n    border: solid transparent;\n    content: " ";\n    height: 0;\n    width: 0;\n    position: absolute;\n    pointer-events: none;\n    border-color: rgba(0, 0, 0, 0);\n    border-bottom-color: ', ';\n    border-width: ', ';\n    margin-left: -', ';\n  }\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n  &:after {\n    left: 100%;\n    top: 50%;\n    border: solid transparent;\n    content: " ";\n    height: 0;\n    width: 0;\n    position: absolute;\n    pointer-events: none;\n    border-color: rgba(0, 0, 0, 0);\n    border-left-color: ', ';\n    border-width: ', ';\n    margin-top: -', ';\n  }\n'], ['\n  &:after {\n    left: 100%;\n    top: 50%;\n    border: solid transparent;\n    content: " ";\n    height: 0;\n    width: 0;\n    position: absolute;\n    pointer-events: none;\n    border-color: rgba(0, 0, 0, 0);\n    border-left-color: ', ';\n    border-width: ', ';\n    margin-top: -', ';\n  }\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n  &:after {\n    top: 100%;\n    left: 50%;\n    border: solid transparent;\n    content: " ";\n    height: 0;\n    width: 0;\n    position: absolute;\n    pointer-events: none;\n    border-color: rgba(0, 0, 0, 0);\n    border-top-color: ', ';\n    border-width: ', ';\n    margin-left: -', ';\n  }\n'], ['\n  &:after {\n    top: 100%;\n    left: 50%;\n    border: solid transparent;\n    content: " ";\n    height: 0;\n    width: 0;\n    position: absolute;\n    pointer-events: none;\n    border-color: rgba(0, 0, 0, 0);\n    border-top-color: ', ';\n    border-width: ', ';\n    margin-left: -', ';\n  }\n']),
    _templateObject4 = _taggedTemplateLiteral(['\n  &:after {\n    right: 100%;\n    top: 50%;\n    border: solid transparent;\n    content: " ";\n    height: 0;\n    width: 0;\n    position: absolute;\n    pointer-events: none;\n    border-color: rgba(0, 0, 0, 0);\n    border-right-color: ', ';\n    border-width: ', ';\n    margin-top: -', ';\n  }\n'], ['\n  &:after {\n    right: 100%;\n    top: 50%;\n    border: solid transparent;\n    content: " ";\n    height: 0;\n    width: 0;\n    position: absolute;\n    pointer-events: none;\n    border-color: rgba(0, 0, 0, 0);\n    border-right-color: ', ';\n    border-width: ', ';\n    margin-top: -', ';\n  }\n']);

var _styledComponents = require('styled-components');

var _fp = require('lodash/fp');

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var arrowTop = exports.arrowTop = (0, _fp.curry)(function (size, color) {
  return (0, _styledComponents.css)(_templateObject, color, size, size);
});

var arrowRight = exports.arrowRight = (0, _fp.curry)(function (size, color) {
  return (0, _styledComponents.css)(_templateObject2, color, size, size);
});

var arrowBottom = exports.arrowBottom = (0, _fp.curry)(function (size, color) {
  return (0, _styledComponents.css)(_templateObject3, color, size, size);
});

var arrowLeft = exports.arrowLeft = (0, _fp.curry)(function (size, color) {
  return (0, _styledComponents.css)(_templateObject4, color, size, size);
});
//# sourceMappingURL=arrow.style.js.map